

load data2000
load data2005

% sex ratio at birth
sex_birth_u=1.15;   % urban
sex_birth_r=1.19;   % rural

% fertility adjustment rate
sum(fert2000);
sum(fert2005);
fert2000_u=1.15e3;
fert2000_r=1.9e3;
fert2000(:,1)=fert2000_u/(sum(fert2000(:,1)))*fert2000(:,1);
fert2000(:,2)=fert2000_r/(sum(fert2000(:,2)))*fert2000(:,2);

% scenario 2 in zeng
fert2005_u=1e3*(1.15+(1.8-1.15)/(2014-2000)*5);
fert2005_r=1e3*(1.9+(1.98-1.9)/(2014-2000)*5);
fert2005(:,1)=fert2005_u/(sum(fert2005(:,1)))*fert2005(:,1);
fert2005(:,2)=fert2005_r/(sum(fert2005(:,2)))*fert2005(:,2);

% initial year
year_ini=2000;

% ending year
year_end=2005;

% ages in the data
age_min=0;
age_max=100;
fert_min=15; % min age in fertility data
fert_max=49; % max age in fertility data

% labor force
age_labor_f_min=18;
age_labor_f_max=55;
age_labor_m_min=18;
age_labor_m_max=60;
