% compare with benchmark case

for t_fig=[41 101]

i_fig=i_fig+1;
figure(i_fig)

subplot(3,1,1)
coh_fig=141;
x_fig=year_start-(J-Jw):year_start-(J-Jw)+coh_fig-1;

plot(x_fig,replace_w_coh(1:coh_fig),'LineWidth',1.5)
hold on 
plot(x_fig,replace_w_coh_bm2(1:coh_fig),'LineWidth',1.5)
% axis( [x_fig(1) x_fig(coh_fig) 0 1])
axis([x_fig(1) x_fig(coh_fig) 0.3 0.8]);
% axis('tight');
if strcmp(fig_name,'fullyfunded')==1;
    axis([x_fig(1) x_fig(coh_fig) 0 0.2]);
end
xlabel('year retiring')
title('Replacement Ratio by Cohort')
temp=[x_fig;replace_w_coh(1:coh_fig)]; % 1997 and 2013

subplot(3,1,2)
if year_start==2000
    x_fig=year_start:year_start+t_fig-1;
%     plot(x_fig,tax_total_t(1:t_fig)./Y_t(1:t_fig),'LineWidth',1.5)
    plot(x_fig,tax_total_t(1:t_fig)./Yur_t(1:t_fig),'LineWidth',1.5)
    hold on 
%     plot(x_fig,pension_total_t(1:t_fig)./Y_t(1:t_fig),'color','g','LineWidth',1.5)
    plot(x_fig,pension_total_t(1:t_fig)./Yur_t(1:t_fig),'color','g','LineWidth',1.5)
elseif year_start==2013
    load(name_data_2000,'tax_total_t_bm','Yur_t_bm','pension_total_t_bm');
    year_start_bm=2000;
    dif_year=year_start-year_start_bm;
    x_fig=year_start_bm:year_start_bm+t_fig-1;
%     plot(x_fig,[tax_total_t_bm(1:dif_year)./Y_t_bm(1:dif_year) tax_total_t(1:t_fig-dif_year)./Y_t(1:t_fig-dif_year)],'LineWidth',1.5)
    plot(x_fig,[tax_total_t_bm(1:dif_year)./Yur_t_bm(1:dif_year) tax_total_t(1:t_fig-dif_year)./Yur_t(1:t_fig-dif_year)],'LineWidth',1.5)
    hold on 
%     plot(x_fig,[pension_total_t_bm(1:dif_year)./Y_t_bm(1:dif_year) pension_total_t(1:t_fig-dif_year)./Y_t(1:t_fig-dif_year)],'color','g','LineWidth',1.5)
    plot(x_fig,[pension_total_t_bm(1:dif_year)./Yur_t_bm(1:dif_year) pension_total_t(1:t_fig-dif_year)./Yur_t(1:t_fig-dif_year)],'color','g','LineWidth',1.5)
end
hold off
% axis( 'auto y')
% axis([year_start year_start+t_fig-1 0.1 1]);
axis('tight');
xlabel('year')
% title('Tax Revenue / Urban GDP and Pension Payments / Urban GDP')
title('Tax Revenue / GDP and Pension Payments / GDP')


subplot(3,1,3)
if year_start==2000
    x_fig=year_start:year_start+t_fig-1;
%     plot(x_fig,gov_debt_t(1:t_fig)./Y_t(1:t_fig),'LineWidth',1.5)
    plot(x_fig,-Ag_t(1:t_fig)./Yur_t(1:t_fig),'LineWidth',1.5)
elseif year_start==2013
    load(name_data_2000,'Ag_t_bm');
    x_fig=year_start_bm:year_start_bm+t_fig-1;
%     plot(x_fig,[gov_debt_t_bm(1:dif_year)./Y_t_bm(1:dif_year) gov_debt_t(1:t_fig-dif_year)./Y_t(1:t_fig-dif_year)],'LineWidth',1.5)
    plot(x_fig,[-Ag_t_bm(1:dif_year)./Yur_t_bm(1:dif_year) -Ag_t(1:t_fig-dif_year)./Yur_t(1:t_fig-dif_year)],'LineWidth',1.5)
end
% axis( 'auto y')
% axis([year_start year_start+t_fig-1])
axis('tight');
xlabel('time')
title('Government Debt / GDP')
if year_start==2000
    print('-dpng','-r300',['pension_' fig_name '_' num2str(year_start+t_fig-1)  '.png'])
    print('-depsc2',['pension_' fig_name '_' num2str(year_start+t_fig-1) '.eps'])
elseif year_start==2013
    print('-dpng','-r300',['pension_' fig_name '_' num2str(year_start-dif_year+t_fig-1)  '.png'])
    print('-depsc2',['pension_' fig_name '_' num2str(year_start-dif_year+t_fig-1) '.eps'])
end

end 
