% compare this with the benchmark2 utility

y_min=0.9;
y_max=1.3;
if strcmp(fig_name,'fullyfunded')==1 || strcmp(fig_name,'fullyfunded_ruralpension')==1
    y_min=0.8;
    y_max=1.1;
end

%% ---------------------- 1. Load Utility Data from the Benchmark ---------------------------


i_fig=i_fig+1;
figure(i_fig)
t_fig=111;

year_fig_start=2000;
coh_fig_start=1+(J-Jw)+(year_fig_start-year_start);
x_fig=year_fig_start:year_fig_start+t_fig-1;
plot(x_fig,ev_r_coh(coh_fig_start:coh_fig_start+t_fig-1),'color','b','LineWidth',1.5);
hold on
plot(x_fig,ones(t_fig,1),':','color','g','LineWidth',1.5);
hold off
axis([x_fig(1) x_fig(length(x_fig)) y_min y_max])
% legend('pension','without pension')
xlabel('year')
title(['Welfare gain (equiv. variation) by year of retirement: ' name_fig_title])


print( '-dpng', '-r300', ['equivalence_variation_rural_' fig_name '.png']);
print( '-depsc2', ['equivalence_variation_rural_' fig_name '.eps']);

i_fig=i_fig+1;
figure(i_fig)
plot(ev_r_coh(1:200))
title(['Welfare gain'])
