


if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end




%% ----------- 0. pension ----------------

N_adjust_coverageincrease; 
H_adjust_coverageincrease;

t_reform=2013-year_start+1; % year_start is defined in parameters_t_xxxx.m
t_pencoh1=1997-year_start+1; % those retire(!!!) before 1997 get 78%
t_pencoh2=t_reform; % those enter before 2013 get 60%
% replace_w_coh1=0.78;
replace_w_coh1=replace_w_ini;
replace_w_coh2=0.6;
% replace_w_coh3=xxx?; % this needs to be calculated

% previously, we set "entering" in 1997, and "entering" in 2013 as cut line
% for cohort specific replacement rate
index1=2; % 1 for "entering", 2 for "retiring"
index2=2; % 1 for "entering", 2 for "retiring"
module_replace_w_coh;


%% ----------- 1.  Pension System -----------
index_debtclear=1; % lifetime tax = lifetime pension

pension_debt_coh; % keep the current system, rep_w=0.6, tau_w=0.2


%% -------------- 2. Workers' Problem in Steady State ----------------
workers_ss;


%% ------------- 3. Workers' Problem in the Dynamic ---------------
workers_dyn;

%% ------------- 4. Aggregate Variables ----------------
% variables_exp;
name_data_exp='data_coverageincrease.mat';
% save(name_data_exp);

%% ------------ 5. Save Variables For Later Use -------------

t_dyn_bm2=t_dyn;

lam_jt_bm2=lam_jt;
lamr_jt_bm2=lamr_jt;

N_t_bm2=N_t;
Nw_t_bm2=Nw_t;
Ne_t_bm2=Ne_t;
Nr_t_bm2=Nr_t;


pop_total_t_bm2=pop_total_t;
pop_labor_t_bm2=pop_labor_t;
pop_ur_total_t_bm2=pop_ur_total_t;
pop_ur_labor_t_bm2=pop_ur_labor_t;
pop_r_total_t_bm2=pop_r_total_t;


bet_w_coh_bm2=bet_w_coh;
bet_e_coh_bm2=bet_e_coh;
psai_t_bm2=psai_t;
eta_t_bm2=eta_t;
chi_t_bm2=chi_t;
Z_t_bm2=Z_t;
chi_r_bm2=chi_r;
alp_r_bm2=alp_r;

prod_t_bm2=prod_jt;
rl_t_bm2=rl_t;

% for initialstate_2013.m
ae_t_bm2=ae_t;
aw_p_t_bm2=aw_p_t;
aw_np_t_bm2=aw_np_t;
cw_p_t_bm2=cw_p_t;

% for debt graph
Y_t_bm2=Y_t;
KF_t_bm2=KF_t;
tax_total_t_bm2=tax_total_t;
pension_total_t_bm2=pension_total_t;
gov_debt_t_bm2=gov_debt_t;


% for pensionsystem_2013.m
replace_w_ini_bm2=replace_w_ini;
replace_w_jt_bm2=replace_w_jt;
replace_w_coh_bm2=replace_w_coh;
replace_wr_bm2=replace_wr;

% for initial guess
w_t_bm2=w_t;
AE_t_bm2=AE_t;


% for pension indexation
indexation_bm2=indexation;
T_pre_bm2=T_pre;
p_base_t_bm2=p_base_t;
p_base_pre_t_bm2=p_base_pre_t;
p_base_jt_bm2=p_base_jt;
p_base_r_t_bm2=p_base_r_t;
Perc_w_p_coh_bm2=Perc_w_p_coh;


% for fully funded adjustment
pw_jt_bm2=pw_jt;  % replace_w_jt.*p_base_jt
yw_p_t_bm2=yw_p_t; % to calculate tax
tau_w_t_bm2=tau_w_t; % to calculate tax
tau_wr_bm2=tau_wr;



% for growth and B
Y_t_bm2=Y_t;
Yur_t_bm2=Yur_t;
yur_t_bm2=yur_t;
yur_pw_t_bm2=yur_pw_t;

% for rural's problem
awr_t_bm2=awr_t;
Kr_t_bm2=Kr_t;
Yr_t_bm2=Yr_t;
cwr_t_bm2=cwr_t;
hr_t_bm2=hr_t;
Hr_t_bm2=Hr_t;
wr_t_bm2=wr_t;


% for Asset transfer to pension system
year_transfer_bm2=year_transfer;
Ag_transfer_value_ini_bm2=Ag_transfer_value_ini;
Ag_transfer_bm2=Ag_transfer;
Ag_pen_t_bm2=Ag_pen_t;
Ag_extra_t_bm2=Ag_extra_netKg_t;

tau_g_bm2=tau_g;
tau_gr_bm2=tau_gr;

% for government saving and investment
SgYur_t_bm2=SgYur_t;
IgYur_t_bm2=IgYur_t;


cw_p_t_bm2=cw_p_t;
aw_p_t_bm2=aw_p_t;
cw_p_coh_bm2=cw_p_coh;        
h_p_coh_bm2=h_p_coh;
uw_p_coh_bm2=uw_p_coh;
uw_p_sum_coh_bm2=uw_p_sum_coh;

cw_np_t_bm2=cw_np_t;
aw_np_t_bm2=aw_np_t;
cw_np_coh_bm2=cw_np_coh;        
h_np_coh_bm2=h_np_coh;
uw_np_coh_bm2=uw_np_coh;
uw_np_sum_coh_bm2=uw_np_sum_coh;

uw_sum_bm2=uw_sum;


H_p_t_bm2=H_p_t; % to compare with fullyfunded

% for government saving and investment
SgYur_t_bm=SgYur_t;
IgYur_t_bm=IgYur_t;




save(name_data_exp);
