


if year_start~=2000
disp('Warning: year_start~=2000');
pause;
end



%% ----------- 1.  Pension System -----------
index_debtclear=0; % lifetime tax = lifetime pension
pension_debt_coh; % keep the current system, rep_w=0.6, tau_w=0.2




fig_name='delayedreform_2100';
name_data_compare=name_data_2000;
name_fig_title=['Delayed Reform Until ' num2str(year_reform)];
name_fig_title2=['Delayed Reform Until ' num2str(year_reform)];

% compare the lifetime utility, so use data_delayedreform instead of data_delayedreform_2013
workers_ev;
figures_workers_ev;

% compute the equivalent variation
aggregate_ev;


%% ------------- 4. Aggregate Variables ----------------
variables_exp;
name_data_exp='data_delayedreform_2100.mat';
% save(name_data_exp);
figures_pension_coh;

%% ------------ 5. Save Variables For Later Use -------------


gov_debt_t_dr2=gov_debt_t;
replace_w_jt_dr2=replace_w_jt;

cw_p_t_dr2=cw_p_t;
aw_p_t_dr2=aw_p_t;
cw_p_coh_dr2=cw_p_coh;        
h_p_coh_dr2=h_p_coh;
uw_p_coh_dr2=uw_p_coh;
uw_p_sum_coh_dr2=uw_p_sum_coh;

cw_np_t_dr2=cw_np_t;
aw_np_t_dr2=aw_np_t;
cw_np_coh_dr2=cw_np_coh;        
h_np_coh_dr2=h_np_coh;
uw_np_coh_dr2=uw_np_coh;
uw_np_sum_coh_dr2=uw_np_sum_coh;

cwr_t_dr2=cwr_t;
awr_t_dr2=awr_t;
cwr_coh_dr2=cwr_coh;
hr_coh_dr2=hr_coh;
uwr_coh_dr2=uwr_coh;
uwr_sum_coh_dr2=uwr_sum_coh;

Nw_p_t_dr2=Nw_p_t;
Nw_np_t_dr2=Nw_np_t;
Nr_t_dr2=Nr_t;

pw_jt_dr2=pw_jt;
p_base_jt_dr2=p_base_jt;
p_base_t_dr2=p_base_t;
p_base_pre_t_dr2=p_base_pre_t;
H_p_t_dr2=H_p_t; % to compare with fullyfunded

% rural
% for rural's problem
Kr_t_dr2=Kr_t;
Yr_t_dr2=Yr_t;



save(name_data_exp);
