% initial state in 2000
% index_pre=1; % 1992, asset drop

%% ---------------- 1. Initial Wealth -------------
% certain ratio of the pre-transition equilibrium
% how to determine ae_t(:,1)
% index_pre=0; % uniform distribution
% index_pre=1; % start from 1992
% year_pre_w_start=1992;
year_pre_w_start=year_pre_wr_start;
t_pre_w_start=year_pre_w_start-year_pre_start+1;
aw_1992=0;

year_pre_e_start=1992; % for entrepreneurs
t_pre_e_start=year_pre_e_start-year_pre_start+1;
% ae_1992=1.5; % to match 20% private labor in 2000
% ae_1992=0.85; % to match 20% private labor in 2000

if index_pre~=0;
    pre_transition_growth; % assume e asset in 1992 is 0, w asset starts from year_w_start=1992
    aw_p_t(1:J,1)=aw_p_pre_t(1:J,T_pre+1);
    aw_np_t(1:J,1)=aw_np_pre_t(1:J,T_pre+1);
    ae_t(1:J,1)=ae_pre_t(1:J,T_pre+1);
else
    aw_p_t(1:J,1)=ones(J,1);
    aw_np_t(1:J,1)=ones(J,1);
    ae_t(1:J,1)=ones(J,1);
end


ratio_ae_ini=1;
ae_t(1:J,1)=ratio_ae_ini*ae_t(1:J,1);
AE_t(1)=ae_t(Je:J,1)'*Ne_t(Je:J,1); 

ratio_aw_ini=1; % use this number instead of 47.8464/AE_t(1) to avoid negative ratio
if index_pre==0
    ratio_aw_ini=100;
end

aw_p_t(1:J,1)=ratio_aw_ini*aw_p_t(1:J,1);
aw_np_t(1:J,1)=ratio_aw_ini*aw_np_t(1:J,1);
Aw_t(1)=aw_p_t(1:J,1)'*Nw_p_t(1:J,1)+aw_np_t(1:J,1)'*Nw_np_t(1:J,1);



%% ------------- 2. Initial Government Debt -----------------
% % the target is that in 2010 gov_debt_2010=1/3*GDP_2010;
% load(name_data_load,'KF_t_bm');
% % load(name_data_ini,'KF_t_bm'); % not from name_data_load, because we don't want to update it
% 
gov_debt_t(1)=-0;
