% equilibrium starting from 2000



clear;
clear global;
close all;
tic

%% ----------------- 1. Setup, Load Equilibrium ---------------------------------

global_claim;  % global variables


name_data_2000='../Pension1_BaselineScenario/data_benchmark.mat';

% load variables from benchmark 2013
load(name_data_2000); 

name_exp='delayedreform_2100';
name_data_exp='data_delayedreform_2100.mat';




index_fixedlabor=0; 
index_gtext=0;



%% ---------------- 2. Solve for Long-run Replacement Rate ----------------

% year_reform=2013+(Jw-1);
year_reform=2100;
t_reform=year_reform-year_start+1; % year_start is defined in parameters_t_xxxx.m


index_guess=0;
name_data_eq='data_eq_delayedreform_2100.mat';
name_data_guess=name_data_eq;
% name_data_guess=name_data_2013;
% name_data_load=name_data_exp;
load(name_data_guess,'replace_w_coh3');

tol_setting_accurate;

solve_replace_w_coh3_update_pe;
% solve_replace_w_coh3_update;


disp('Dynamic computation finished')
toc



% compute other variables in the equilibrium, draw figures, save data
variables_eq;
variables_eq_ur;


%% ----------------- 3. Pension Reform Experiment Outcomes ------------------------


experiment_delayedreform_2100;     % current system
disp('Experiment_delayedreform_2100 finished')
toc




