
load(name_data_compare,'uwr_sum_coh_bm2','cwr_coh_bm2', 'hr_coh_bm2')


%% ------------------ 1. Worker rural -----------------

t=1;
for j=1:J % j is the age in period 1
    coh=J-j+1;
    Length=J;
    Surv(1:Length)=lamr_jcoh(1:Length,coh);
    if uwr_sum_coh_bm2(coh)~=-Inf
        fun_ev_ratio=@(ratio) fun_ev(ratio,uwr_sum_coh(coh),cwr_coh_bm2(1:Length,coh)',hr_coh_bm2(1:Length,coh)',Surv,bet_w_coh(coh));
        options=optimset('Display','off');
        ev_r_coh(coh)=fsolve(fun_ev_ratio,1,options);
    else
        ev_r_coh(coh)=1;
    end
end


% those born in period t>1
for t=2:t_dyn
    coh=J+t-1;
    Length=J;
    Surv(1:Length)=lamr_jcoh(1:Length,coh);
    fun_ev_ratio=@(ratio) fun_ev(ratio,uwr_sum_coh(coh),cwr_coh_bm2(1:Length,coh)',hr_coh_bm2(1:Length,coh)',Surv,bet_w_coh(coh));
    ev_r_coh(coh)=fsolve(fun_ev_ratio,1,options);
end


