% experiment
% from 2013, switch to fully funded

if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end


%% ----------- 1.  Pension System -----------
index_debtclear=0; % lifetime tax = lifetime pension
pension_debt_coh; % the current system, rep_w=0.8, tau_w=0.2


% %% -------------- 2. Workers' Problem in Steady State ----------------
% workers_ss;
% 
% 
% %% ------------- 3. Workers' Problem in the Dynamic ---------------
% workers_dyn;

%% ------------- 4. Aggregate Variables ------------
variables_exp;


%% -------------- 5. Figures ------------------

% figures_workers;

workers_ev;
figures_workers_ev;

% compute the equivalent variation
aggregate_ev;

figures_pension_coh;


save(name_data_exp)

% load data_fullyfunded


