% run all the experiments in the baseline scenario

%% --------------------- 1. Calibration ----------------------------
% general equilibrium from year 2000, calibration
main_GE2000_calibration;


%% -------------------- 2. General Equilibria --------------------
% the general equilibrium from 2000
main_GE2000;
% take the equilibrium from 2000, reproduce the equilibrium from 2013
% keep the orginal wage sequence
main_GE2013_w_original;

%% -------------------- 3. Partial Equilibrium from PE2013, Benchmark Reform ---------------------

% feed the approximated wage sequence into the PE model from 2013
main_PE2013;
% find the optimal reform year, omitted by default
index_t_reform=0;
if index_t_reform==1
    display('Warning: runing main_PE2013_loop_t_reform.m takes much time.')
    main_PE2013_loop_t_reform;
end


%% ------------------ 4. Alternative Pension Reforms ---------------------

main_PE2013_delayedreform;
main_PE2013_delayedreform_2100;
main_PE2013_fullyfunded;
main_PE2013_PAYGO;

main_PE2013_ruralpension;
main_PE2013_drasticreform;
main_PE2013_taxincrease;
main_PE2013_retirementextension;

main_PE2013_Ramsey_FB;
main_PE2013_Ramsey;
main_PE2013_Ramsey_2Constraints;
