
t_pencoh1=1997-year_start+1; % those retire before 1997 get 78%
t_pencoh2=t_reform; % those retire before the reform get 60%

index1=2; % 1 for "entering", 2 for "retiring"
index2=2; % 1 for "entering", 2 for "retiring"


% cohorts who are born before period 1
t=1;
for j=1:J
    Length=J-j+1;
    coh=J-j+1;
    jt1=j+t_pencoh1-1; % age at 1997
    jt2=j+t_pencoh2-1; % age at 2013
    if index1==1 && index2==1
        replace_w_coh(coh)=(jt1>1)*replace_w_coh1+(jt1<=1 && jt2>1)*replace_w_coh2;  
    elseif index1==2 && index2==1
        replace_w_coh(coh)=(jt1>Jw)*replace_w_coh1+(jt1<=Jw && jt2>1)*replace_w_coh2;
    elseif index1==2 && index2==2
        % jt1 is the age in 1997 and jt2 in year_reform
        replace_w_coh(coh)=(jt1>Jw)*replace_w_coh1+(jt1<=Jw && jt2>Jw)*replace_w_coh2;
    end
end


% cohorts born after period 1
for t=2:t_dyn
    Length=J;
    coh=J+t-1;
    jt1=t_pencoh1-t+1;
    jt2=t_pencoh2-t+1;
    if index1==1 && index2==1
        replace_w_coh(coh)=(jt1>1)*replace_w_coh1+(jt1<=1 && jt2>1)*replace_w_coh2;  
    elseif index1==2 && index2==1
        replace_w_coh(coh)=(jt1>Jw)*replace_w_coh1+(jt1<=Jw && jt2>1)*replace_w_coh2;
    elseif index1==2 && index2==2
        replace_w_coh(coh)=(jt1>Jw)*replace_w_coh1+(jt1<=Jw && jt2>Jw)*replace_w_coh2;
    end
end

% ----------- cohort specific replacement rate after the reform year
replace_w_coh(J+t_reform-1-(Jw-1):J+t_dyn-1)=replace_w_coh3; % J+t_reform-1 aged 1 in t_reform
replace_w_ss=replace_w_coh3;
