% transfer the coh specific replacement rate to age-year specific: a jt matrix

replace_w_coh(t_dyn+J-1:t_end)=replace_w_ss;

% those born before t=1
t=1;
for j=1:J
    Length=J-j+1;
    coh=J-j+1;
    for l=1:Length
        replace_w_jt(j+l-1,l)=replace_w_coh(coh); % replacement rate of age j+l-1 in period l
    end
end

for t=2:t_dyn
    Length=J;
    coh=J+t-1;
    for l=1:Length
        replace_w_jt(l,t+l-1)=replace_w_coh(coh);
    end
end

% working population gets no pension
replace_w_jt(1:Jw-1,1:t_end)=0;

% steady state level
replace_w_jss(1:Jw-1)=0;
replace_w_jss(Jw:J)=replace_w_jt(Jw:J,t_dyn);
