
load(name_data_2013,'tau_g', 'tau_w_ss', 'tau_e_ss', 'replace_e_ss','replace_w_ini')

% tau_w_ss=0.2; % tax rate for labor income
tau_w_t=tau_w_ss*ones(1,t_dyn);
% default value, this tax rate may change in fullyfunded system

% tau_e_ss=0; % tax rate for management income
tau_e_t=tau_e_ss*ones(1,t_dyn);

% replace_e_ss=0; 
replace_e_t=replace_e_ss*ones(1,t_dyn); % replacement ratio of entreperneurs, shut down at the moment

% workers expect that there is a reform in 2013 to make the budget clear
load(name_data_2013,'replace_w_jt_bm2');
% the default replacement rate is as high as the first period in benchmark
replace_w_jt=replace_w_jt_bm2(:,t_start:t_start+t_dyn-1);
replace_w_ss=replace_w_jt_bm2(Jw,1);

% pension indexation
indexation=0.4;

load(name_data_2013, 'year_transfer_bm2','Ag_transfer_value_ini_bm2','Ag_transfer_bm2');
year_transfer=year_transfer_bm2;
% some extra resource for pension system
if year_start>=year_transfer % transfer already happend before year_start
    t_transfer=2;   % equavalent to saying that there's no transfer in period 2
    year_transfer=year_start+t_transfer-1; 
    Ag_transfer_value_ini=0;
    Ag_transfer=0;
else
    % start in year_start, transfer happends in year_transfer
    Ag_transfer=Ag_transfer_bm2;
    Ag_transfer_value_ini=Ag_transfer*((1+g)/(1+r))^(year_transfer-year_start);
end

% to compare in the future
Ag_transfer_value_ini_old=Ag_transfer_value_ini;
Ag_transfer_old=Ag_transfer;


% year_transfer=2013; % given in pension_system_2013;
t_transfer=year_transfer-year_start+1; % the year that Sg changes

%% ------------- tax
load(name_data_2013, 'tau_g_bm2','tau_gr_bm2');
tau_g=tau_g_bm2;
tau_gr=tau_gr_bm2;

