
% -------------  Solve the equilibrium by updating H, KE, AE
iter=0;
iter_max=100;
dev=1;
step=0.6;

H_AE_t=H_AE_t_ini;

% iterate until we find the equilibrium H and AE
while iter<iter_max && dev>tol
iter=iter+1;

update_dyn;     % given labor and E firm asset, we can update the equilibrium and get new labor and E firm asset

dev=max(abs(H_AE_t_new-H_AE_t)./(abs(H_AE_t)+1));
H_AE_t = step*H_AE_t_new + (1- step) * H_AE_t;

% save the equilibrium into data
index_save=1;
if index_save==1
H_p_t = H_AE_t(1:t_dyn);
H_np_t = H_AE_t(t_dyn+1:2*t_dyn);
AE_t=H_AE_t(2*t_dyn+1:3*t_dyn);
save(name_data_eq,'H_p_t','H_np_t','p_base_t','replace_w_coh3');
end

% display the iterations and the deviations
iter
dev


end

H_t=H_p_t+H_np_t;
