
iter_tau_w=0;
dev_tau_w=1;
step=1;


while iter_tau_w<100 && abs(dev_tau_w)>1e-5
    
%     tau_w_ss=tau_w;
    tau_w_t(t_reform:t_dyn)=tau_w_ss;
    
    iter_tau_w=iter_tau_w+1;
   
    if iter_tau_w>1
        name_data_guess=name_data_eq; % use the result from last iter_tau_w
    end

    
    %% ------------------- Steady State and Workers' Problems-----------
    


    steadystate_pe;
    workers_ss;
    
    workers_dyn; % no need to resolve the equilibrium anymore
    
    H_p_base_t_ini=[H_p_t H_np_t p_base_t];
    update_H_p_base;
    

    
    index_debtclear=0; % lifetime tax ~= lifetime pension
    pension_debt_coh; % not clear, how much more tax are needed?
    tau_w_ss_new=tau_w_ss*(1+gov_debt_lifetime/tax_lifetime);
    dev_tau_w=abs(tau_w_ss_new-tau_w_ss);

    
    tau_w_ss=step*tau_w_ss_new+(1-step)*tau_w_ss;
    
    if index_iter_display==1
    iter_tau_w
    tau_w_ss
    dev_tau_w
    toc
    end
    
    save(name_data_eq,'H_p_t','H_np_t','p_base_t','tau_w_ss');
end
