


if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end


%% ----------- 0. pension ----------------
t_reform=2013-year_start+1; % year_start is defined in parameters_t_xxxx.m
t_pencoh1=1997-year_start+1; % those retire(!!!) before 1997 get 78%
t_pencoh2=t_reform; % those enter before 2013 get 60%
% replace_w_coh1=0.78;
replace_w_coh1=replace_w_ini;
replace_w_coh2=0.6;
% replace_w_coh3=xxx?; % this needs to be calculated

% previously, we set "entering" in 1997, and "entering" in 2013 as cut line
% for cohort specific replacement rate
index1=2; % 1 for "entering", 2 for "retiring"
index2=2; % 1 for "entering", 2 for "retiring"
module_replace_w_coh;

%% ----------- 0.5 rural pension debt -------------
replace_rural_coh=0.1; % 10 percent of their average labor income

% need to resolve the rural problem again because now you impose tax


%% ----------- 1.  Pension System -----------
index_debtclear=1; % lifetime tax = lifetime pension

pension_debt_coh; % keep the current system, rep_w=0.6, tau_w=0.2


%% -------------- 2. Workers' Problem in Steady State ----------------
workers_ss;


%% ------------- 3. Workers' Problem in the Dynamic ---------------
workers_dyn;

%% ------------- 4. Aggregate Variables ----------------
% variables_exp;
name_data_exp='data_benchmark_2013.mat';
% save(name_data_exp);

%% ------------ 5. Save Variables For Later Use -------------


gov_debt_t_bm2=gov_debt_t;
replace_w_jt_bm2=replace_w_jt;

cw_p_t_bm2=cw_p_t;
aw_p_t_bm2=aw_p_t;
cw_p_coh_bm2=cw_p_coh;        
h_p_coh_bm2=h_p_coh;
uw_p_coh_bm2=uw_p_coh;
uw_p_sum_coh_bm2=uw_p_sum_coh;

cw_np_t_bm2=cw_np_t;
aw_np_t_bm2=aw_np_t;
cw_np_coh_bm2=cw_np_coh;        
h_np_coh_bm2=h_np_coh;
uw_np_coh_bm2=uw_np_coh;
uw_np_sum_coh_bm2=uw_np_sum_coh;



pw_jt_bm2=pw_jt;
p_base_jt_bm2=p_base_jt;
p_base_t_bm2=p_base_t;
p_base_pre_t_bm2=p_base_pre_t;
H_p_t_bm2=H_p_t; % to compare with fullyfunded

% rural
% for rural's problem
awr_t_bm2=awr_t;
Kr_t_bm2=Kr_t;
Yr_t_bm2=Yr_t;



save(name_data_exp);
