% calculate p_base_jt from p_base_t

% p_base_pre_t(1:J-1) are for year -77:0
% ------------  Pension Base: age-year specific --------------------
t=1;
for j=Jw:J
        t_retire=t-j+Jw;
        if t_retire<=1-T_pre; % earlier than or equal to 1992
            p_base_jt(j,t)=(1-indexation)*p_base_pre_t(1)/(1+g)^(t-(1-T_pre))+indexation*p_base_pre_t(T_pre)/(1+g);
        elseif t_retire<=1 % goes back to earlier than or equal to 2000
            p_base_jt(j,t)=(1-indexation)*p_base_pre_t(t_retire+T_pre-1)/(1+g)^(t-t_retire+1)+indexation*p_base_pre_t(T_pre)/(1+g); % from last year
        else
            p_base_jt(j,t)=(1-indexation)*p_base_t(t_retire-1)/(1+g)^(t-t_retire+1)+indexation*p_base_pre_t(T_pre)/(1+g); % from last year
        end
end
for t=2:t_dyn
    for j=Jw:J
        t_retire=t-j+Jw;
        if t_retire<=1-T_pre; % earlier than or equal to 1992
            p_base_jt(j,t)=(1-indexation)*p_base_pre_t(1)/(1+g)^(t-(1-T_pre))+indexation*p_base_t(t-1)/(1+g);
        elseif t_retire<=1 % goes back to earlier than or equal to 2000
            p_base_jt(j,t)=(1-indexation)*p_base_pre_t(t_retire-1+T_pre)/(1+g)^(t-t_retire+1)+indexation*p_base_t(t-1)/(1+g); % from last year
        else
            p_base_jt(j,t)=(1-indexation)*p_base_t(t_retire-1)/(1+g)^(t-t_retire+1)+indexation*p_base_t(t-1)/(1+g); % from last year
        end
    end
end