
%only pensioners

load(name_data_compare,'uw_p_sum_coh_bm2', 'uw_np_sum_coh_bm2', 'cw_p_coh_bm2', 'h_p_coh_bm2', 'cw_np_coh_bm2', 'h_np_coh_bm2')
load(name_data_compare,'uwr_sum_coh_bm2', 'cwr_coh_bm2', 'hr_coh_bm2' )
load(name_data_compare,'Nw_p_t_bm2', 'Nw_np_t_bm2', 'Nr_t_bm2' )

%% --------------- workers in pension ----------------
% fun_ev_1_sum(1,uw_p_sum_coh,Nw_p_t_bm2,cw_p_coh_bm2,h_p_coh_bm2,lam_jt,bet_w_coh)
weight=1/(1+r);
fun_ev_p_sum_ratio=@(ratio) fun_ev_1_sum(ratio,weight,uw_p_sum_coh,Nw_p_t_bm2,cw_p_coh_bm2,h_p_coh_bm2,lam_jcoh,bet_w_coh);
ev_p_sum=fsolve(fun_ev_p_sum_ratio,1,options)-1




%% ------------- change weight ----------------


weight=(1+g)/(1+r);


fun_ev_p_sum_ratio_rg=@(ratio) fun_ev_1_sum(ratio,weight,uw_p_sum_coh,Nw_p_t_bm2,cw_p_coh_bm2,h_p_coh_bm2,lam_jcoh,bet_w_coh);
ev_p_sum_rg=fsolve(fun_ev_p_sum_ratio_rg,1,options)-1

