% experiment_fullyfunded;
% from 2013, switch to fully funded

if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end


%% ----------- 1.  Pension System -----------
index_debtclear=0; % lifetime tax = lifetime pension
pension_debt_coh_r006; % the current system, rep_w=0.8, tau_w=0.2


% %% -------------- 2. Workers' Problem in Steady State ----------------
% workers_ss;
% 
% 
% %% ------------- 3. Workers' Problem in the Dynamic ---------------
% workers_dyn;

%% ------------- 4. Aggregate Variables ------------
variables_exp;


%% -------------- 5. Figures ------------------
fig_name='fullyfunded';
name_fig_title='fully funded reform';
name_fig_title2='FF reform';
name_data_compare='data_benchmark_2013.mat';

% figures_workers;

workers_ev;
figures_workers_ev;

% compute the equivalent variation
aggregate_ev;

figures_pension_coh;







% for growth and B
Y_t_ff=Y_t;
Yur_t_ff=Yur_t;
yur_t_ff=yur_t;
yur_pw_t_ff=yur_pw_t;
B_t_ff=B_t;


% for pension graph
tax_total_t_ff=tax_total_t;
pension_total_t_ff=pension_total_t;
gov_debt_t_ff=gov_debt_t;
replace_w_coh_ff=replace_w_coh;


save data_fullyfunded


