% pay as you go system, 20% tax into the system every year ( some subsidy from the government fund)
% replacement rate depends on tax income



%% --------------------- 2. tax, excluding subsidy ----------------------
% done in dyn
% tau_w_ss=tau_target-tau_subsidy;
% tau_w_ss=tau_target;
% tau_w_t=tau_w_ss*ones(1,t_dyn);
% 
% tax_total_t(1:t_dyn)=tau_e_t(1:t_dyn).*me_t(1:t_dyn).*Ne_labor_t(1:t_dyn)+...
%                                 tau_w_t(1:t_dyn).*tax_base_t(1:t_dyn);
% steady state value, use t_dyn and multiply by 1+N_growth_ss, and grows at
% the rate of 1+N_growth_ss
tax_total_ss=tax_total_t(t_dyn)*(1+N_growth_ss);

% life time tax (may need to add the steady state continuation value)
tax_lifetime=tax_total_t(1); 
for t=2:t_dyn
    tax_lifetime=tax_lifetime+tax_total_t(t)*((1+g))^(t-1)/prod_R_t(t);
end
% continuation value from steady state
tax_lifetime=tax_lifetime+tax_total_ss*((1+g))^t_dyn/prod_R_t(t_dyn+1)/(1-(1+N_growth_ss)*(1+g)/(1+r));



%% ------------------- 2. Pension Payment -----------------
% year specific pension payment, doesn't depend on cohort
% calculated in dyn
% pension_total_t(1:t_dyn)=(tau_target+tau_subsidy)*tax_base_t(1:t_dyn); % pay-as-you-go, use tau_w and tau_subsidy to archieve tau_target
% pw_t(1:t_dyn)=pension_total_t(1:t_dyn)./Nw_retire_p_t(1:t_dyn); % every cohort in period t get the same
replace_w_t(1:t_dyn)=pw_t(1:t_dyn)./p_base_t(1:t_dyn);

% No Need to Clear Debt 
pension_total_ss=pension_total_t(t_dyn)*(1+N_growth_ss); % and then grows at the rate of 1+N_growth_ss
pension_lifetime=0;
for t=1:t_dyn
    pension_lifetime=pension_lifetime+pension_total_t(t)*((1+g))^(t-1)/prod_R_t(t);
end
pension_lifetime=pension_lifetime+pension_total_ss*((1+g))^t_dyn/prod_R_t(t_dyn+1)/(1-(1+N_growth_ss)*(1+g)/(1+r));

gov_debt_lifetime=pension_debt_lifetime_r-(1+r_t(1))*Ag_transfer_real_value_ini+(1+r_t(1))*gov_debt_t(1)+pension_lifetime-tax_lifetime;
        

%% --------------------- 3. Government Debt, including rural and urban -------------------
% gov_debt_t(1) is defined in initialstate.m

for t=1:t_transfer-2
    gov_debt_t(t+1)=((1+r_t(t))*gov_debt_t(t)+pension_total_t(t)-tax_total_t(t)+pension_total_r_t(t)-tax_total_r_t(t))/(1+g);
end
% get transfer in period t_transfer
t=t_transfer-1;
gov_debt_t(t+1)=-Ag_transfer_real+((1+r_t(t))*gov_debt_t(t)+pension_total_t(t)-tax_total_t(t)+pension_total_r_t(t)-tax_total_r_t(t))/(1+g);
for t=t_transfer:t_dyn
    gov_debt_t(t+1)=((1+r_t(t))*gov_debt_t(t)+pension_total_t(t)-tax_total_t(t)+pension_total_r_t(t)-tax_total_r_t(t))/(1+g);
end

for t=t_dyn+1:t_end
    gov_debt_t(t+1)=((1+r_t(t))*gov_debt_t(t)+(pension_total_ss-tax_total_ss)*(1+N_growth_ss)^(t-t_dyn-1)+(pension_total_r_ss-tax_total_r_ss)*(1+N_growth_ss)^(t-t_dyn-1))/(1+g);
end


