% adjust N

old.Nw_p_t=Nw_p_t;
old.Nw_np_t=Nw_np_t;
old.Nw_labor_p_t=Nw_labor_p_t;
old.Nw_labor_np_t=Nw_labor_np_t;
old.Nw_retire_p_t=Nw_retire_p_t;
old.Nw_retire_np_t=Nw_retire_np_t;

% covered by pension, jump to 100%
Perc_w_p_ini=1;
Perc_w_p_ss=1;

% pension coverage rate for cohorts living after year t_reform becomes 1

Perc_w_p_jt(1:J,1:t_reform-1)=Perc_w_p_ini;
Perc_w_p_jt(1:J,t_reform:t_dyn)=Perc_w_p_ss;

Perc_w_np_jt=1-Perc_w_p_jt;

for t=1:t_dyn
    for j=1:J
        % for different age
        Nw_p_t(j,t)=Nw_t(j,t)*Perc_w_p_jt(j,t);
        Nw_np_t(j,t)=Nw_t(j,t)*Perc_w_np_jt(j,t);
    end
    Nw_labor_p_t(t)=sum(Nw_p_t(1:Jw-1,t));
    Nw_labor_np_t(t)=sum(Nw_np_t(1:Jw-1,t));
    Nw_retire_p_t(t)=sum(Nw_p_t(Jw:J,t));
    Nw_retire_np_t(t)=sum(Nw_np_t(Jw:J,t));
end


