% assume low wage growth


% remember to edit pre_transition_growth on w_t, w_pre_t, g_w_pre_t and
% so on

clear;
clear global;
close all;
tic

%% ----------------- 0. Setup ---------------------------------

global_claim;  % global variables


name_data_2000='../Pension1_BaselineScenario/data_benchmark';
load(name_data_2000);
name_data_2000='../Pension1_BaselineScenario/data_benchmark';
name_data_exp='data_benchmak';
name_exp='benchmark';



%%  ---------------- 1. Set the wage growth to SS values, and wage ------------------


adjust_ssvalue;



%% ---------------- 2. Solve the Urban Model by Finding the Correct aw_p_t(:,1) and aw_np_t --------------
t_reform=2013-year_start+1; % year_start is defined in parameters_t_xxxx.m



tol_setting_accurate;

name_data_eq='data_eq_2000';
name_data_guess=name_data_eq;
load(name_data_guess,'replace_w_coh3','H_p_t','H_np_t','p_base_t','aw_p_t','aw_np_t'); % initial
solve_ae1_update_pe; %  just update aw 


%% -------------- 3. experiment and all variables ------------
% most variables and experiments already done in solving the equilibrium
experiment_benchmark;


