 

% kpr utility


% delay the fully funded reform

clear;
clear global;
close all;
tic

%% ----------------- 0. Setup, Load Equilibrium ---------------------------------

global_claim;  % global variables

% name_data_2000='..\Pension34.1_1992_ConstantBeta_111103\data_benchmark.mat';
%% !!!!! load everything from delayedreform
load('data_delayedreform.mat');

name_data_2013='data_delayedreform.mat';
name_exp='fullyfunded_delayed';
name_data_exp='data_fullyfunded_delayed.mat';



index_fixedlabor=0; 
index_gtext=0;
index_iter_display=1;

load(name_data_2013,'year_reform','t_reform') % the optimal reform year
year_reform=2061;
t_reform=year_reform-year_start+1;


% -------fully funded adjust initial state --------------
name_data_bm2=name_data_2013;
initialstate_adjust2_fullyfunded; % using data_bm2 adjust the wealth and government debt according to the pension promise

pensionsystem_adjust_fullyfunded;


%% ---------------- 2. Solve for Long-run Replacement Rate ----------------



index_guess=0;
name_data_eq='data_eq_2013_fullyfunded_delayed.mat';
name_data_guess=name_data_eq;

load(name_data_guess,'tau_w_ss'); % initial


tol_setting_accurate;
solve_tau_w_update_pe;


disp('Dynamic computation finished')
toc
% save(name_data_eq,'H_p_t','H_np_t','p_base_t','tau_w_ss');

% compute other variables in the equilibrium, draw figures, save data
variables_eq;
variables_eq_ur_noupdateAg;




%% ----------------- 4. Pension Reform Experiment Outcomes ------------------------






experiment_fullyfunded_delayed;     % current system
disp('Experiment_fullyfunded_delayed finished')
toc

