% improved iteration steps 


max_iter_b0=30;
iter_b0=1;
dev_b0=1;
dev=1;
% step=0.8;
% step=0.5;
step=1;

if index_b0_update_bisec==1
% if strcmp(name_exp,'loop_t_reform2')==1
    b0_min=0.6; % can't be worse than the benchmark
    b0_max=12;
    b0=(b0_min+b0_max)/2;
end
    

while iter_b0<max_iter_b0 && (abs(dev_b0)>tol_b0 || abs(dev)>tol)
    
%     replace_w_ss=b0;
    

    if iter_b0>1
        name_data_guess=name_data_eq; % use the result from last iter_b0
    end

    
    %% ------------------- Steady State and Workers' Problems-----------
    module_replace_w_coh; % replace_w_coh, replace_w_ss
%     adjust_replace_w_coh_q_linear; % adjust according to q1, b0
    adjust_replace_w_coh_q_polynomial; % adjust according to q1, b0
    module_replace_w_coh2jt; % replace_w_jt
    
  
    % no need to solve the equilibrium, because we take w as given
    % but need to update H and p
%     steadystate;
    steadystate_pe;
%     initialguess;
%     solve_dynamic;
  

    workers_ss;
    workers_dyn; % no need to resolve the equilibrium anymore
    
%     load(name_data_guess,'H_p_t','H_np_t','p_base_t');
    H_p_base_t_ini=[H_p_t H_np_t p_base_t(1:t_dyn)];
    H_p_base_t_ini=real([H_p_t H_np_t p_base_t(1:t_dyn)]);
    update_H_p_base_once;
      
%     
    
    index_debtclear=0; % lifetime tax ~= lifetime pension
    pension_debt_coh; % not clear, how much less pension are needed?
%     b0_new=(-gov_debt_lifetime/(tax_lifetime/tau_w_t(1))+1)*b0;
    % make the step larger
    
%     dev_b0=abs(tax_lifetime/((1+r)*gov_debt_t(1)+pension_lifetime)-1);
   

    if tau_w_ss~=0
       dev_b0=gov_debt_lifetime/(tax_lifetime/tau_w_t(1));
    else
       dev_b0=gov_debt_lifetime/abs(gov_debt_t(1));
    end
        
    if index_b0_update_bisec==1
       b0_min_iter_b0(iter_b0)=b0_min;
       b0_max_iter_b0(iter_b0)=b0_max;
       b0_iter_b0(iter_b0)=b0;
       dev_b0_iter_b0(iter_b0)=dev_b0;
%     if strcmp(name_exp,'loop_t_reform2')==1
        if dev_b0>0
                % replacement too high
                b0_max=b0;
        else
                b0_min=b0;
        end
        b0_new=(b0_min+b0_max)/2;
    else % normal update
        b0_new=b0-gov_debt_lifetime/pension_base_lifetime;
    end
        diff_b0=b0_new-b0;
%         b0_new=(b0_min+b0_max)/2;
%     end

    
    if index_iter_display==1 && mod(iter_b0,5)==1
       iter_b0
       b0
       dev_b0
       diff_b0
    end

        
        iter_b0=iter_b0+1;
        b0=step*b0_new+(1-step)*b0;
    
%     toc    

end

save(name_data_eq,'H_p_t','H_np_t','p_base_t','b0');

if index_iter_display==1
    iter_b0
    b0
    b
    dev_b0
    diff_b0
end

