
bm2=load(name_data_compare,'uw_p_sum_coh', 'uw_np_sum_coh', 'cw_p_coh', 'h_p_coh', 'cw_np_coh', 'h_np_coh', 'uwr_sum_coh', 'cwr_coh', 'hr_coh' , 'Nw_p_t', 'Nw_np_t', 'Nr_t' );


%% --------------- workers in pension ----------------
% fun_ev_1_sum(1,uw_p_sum_coh,Nw_p_t_bm2,cw_p_coh_bm2,h_p_coh_bm2,lam_jt,bet_w_coh)
weight=1/(1+r);
fun_ev_p_sum_ratio=@(ratio) fun_ev_1_sum(ratio,weight,uw_p_sum_coh,bm2.Nw_p_t,bm2.cw_p_coh,bm2.h_p_coh,lam_jcoh,bet_w_coh);
ev_p_sum=fsolve(fun_ev_p_sum_ratio,1,options)-1

%% --------------- workers not in pension ----------------

% fun_ev_np_sum_ratio=@(ratio) fun_ev_1_sum(ratio,uw_np_sum_coh(coh_skip+1:J+t_dyn-1),Nw_np_t_bm2(:,coh_skip+1:t_dyn),cw_np_coh_bm2(:,coh_skip+1:J+t_dyn-1),h_np_coh_bm2(:,coh_skip+1:J+t_dyn-1),lam_jt(:,coh_skip+1:t_dyn+J-1),bet_w_coh(coh_skip+1:J+t_dyn-1));
fun_ev_np_sum_ratio=@(ratio) fun_ev_1_sum(ratio,weight,uw_np_sum_coh,bm2.Nw_np_t,bm2.cw_np_coh,bm2.h_np_coh,lam_jcoh,bet_w_coh);
ev_np_sum=fsolve(fun_ev_np_sum_ratio,1,options)-1


%% --------------- workers in rural ----------------

fun_ev_r_sum_ratio=@(ratio) fun_ev_1_sum(ratio,weight,uwr_sum_coh,bm2.Nr_t,bm2.cwr_coh,bm2.hr_coh,lamr_jcoh,bet_w_coh);
ev_r_sum=fsolve(fun_ev_r_sum_ratio,1,options)-1

%% --------------- all the workers -----------------
n=3;
uu_sum_coh(1,:)=uw_p_sum_coh;
uu_sum_coh(2,:)=uw_np_sum_coh;
uu_sum_coh(3,:)=uwr_sum_coh;
bm2.NN_t(1,:,:)=bm2.Nw_p_t;
bm2.NN_t(2,:,:)=bm2.Nw_np_t;
bm2.NN_t(3,:,:)=bm2.Nr_t;
bm2.cc_coh(1,:,:)=bm2.cw_p_coh;
bm2.cc_coh(2,:,:)=bm2.cw_np_coh;
bm2.cc_coh(3,:,:)=bm2.cwr_coh;
bm2.hh_coh(1,:,:)=bm2.h_p_coh;
bm2.hh_coh(2,:,:)=bm2.h_np_coh;
bm2.hh_coh(3,:,:)=bm2.hr_coh;
llam_jcoh(1,:,:)=lam_jcoh;
llam_jcoh(2,:,:)=lam_jcoh;
llam_jcoh(3,:,:)=lamr_jcoh;
bbet_w_coh(1,:,:)=bet_w_coh;
bbet_w_coh(2,:,:)=bet_w_coh;
bbet_w_coh(3,:,:)=bet_w_coh;

fun_ev_n_sum_ratio=@(ratio) fun_ev_n_sum(ratio,weight,uu_sum_coh,bm2.NN_t,bm2.cc_coh,bm2.hh_coh,llam_jcoh,bbet_w_coh);
ev_n_sum=fsolve(fun_ev_n_sum_ratio,1,options)-1


%% ------------- change weight ----------------


weight=(1+g)/(1+r);


fun_ev_p_sum_ratio_rg=@(ratio) fun_ev_1_sum(ratio,weight,uw_p_sum_coh,bm2.Nw_p_t,bm2.cw_p_coh,bm2.h_p_coh,lam_jcoh,bet_w_coh);
ev_p_sum_rg=fsolve(fun_ev_p_sum_ratio_rg,1,options)-1

% fun_ev_np_sum_ratio=@(ratio) fun_ev_1_sum(ratio,uw_np_sum_coh(coh_skip+1:J+t_dyn-1),Nw_np_t_bm2(:,coh_skip+1:t_dyn),cw_np_coh_bm2(:,coh_skip+1:J+t_dyn-1),h_np_coh_bm2(:,coh_skip+1:J+t_dyn-1),lam_jt(:,coh_skip+1:t_dyn+J-1),bet_w_coh(coh_skip+1:J+t_dyn-1));
fun_ev_np_sum_ratio_rg=@(ratio) fun_ev_1_sum(ratio,weight,uw_np_sum_coh,bm2.Nw_np_t,bm2.cw_np_coh,bm2.h_np_coh,lam_jcoh,bet_w_coh);
ev_np_sum_rg=fsolve(fun_ev_np_sum_ratio_rg,1,options)-1

fun_ev_r_sum_ratio_rg=@(ratio) fun_ev_1_sum(ratio,weight,uwr_sum_coh,bm2.Nr_t,bm2.cwr_coh,bm2.hr_coh,lamr_jcoh,bet_w_coh);
ev_r_sum_rg=fsolve(fun_ev_r_sum_ratio_rg,1,options)-1

fun_ev_n_sum_ratio_rg=@(ratio) fun_ev_n_sum(ratio,weight,uu_sum_coh,bm2.NN_t,bm2.cc_coh,bm2.hh_coh,llam_jcoh,bbet_w_coh);
ev_n_sum_rg=fsolve(fun_ev_n_sum_ratio_rg,1,options)-1