clear;
clear global;
close all;
tic

%% ----------------- 0. Setup, Load Equilibrium ---------------------------------

global_claim;  % global variables


load('data_benchmark_2013.mat');

name_data_2013='data_benchmark_2013.mat';
name_exp='delayedreform_2100';
name_data_exp='data_delayedreform_2100.mat';



index_fixedlabor=0; 
index_gtext=0;

%% --------------- 0.5 Beta Adjustment --------------------
adjust_beta;


%% ---------------- 2. Solve for Long-run Replacement Rate ----------------

year_reform=2100;
t_reform=year_reform-year_start+1; % year_start is defined in parameters_t_xxxx.m

index_guess=0;
name_data_eq='data_eq_2013_delayedreform_2100.mat';
name_data_guess=name_data_eq;
% name_data_load=name_data_exp;
name_data_load=name_data_eq;
load(name_data_load,'H_p_t','H_np_t','p_base_t','replace_w_coh3');
% load('data_eq_2013_delayedreform_2100','H_p_t','H_np_t','p_base_t','replace_w_coh3');
H_p_t=H_p_t(1:t_dyn); H_np_t=H_np_t(1:t_dyn); p_base_t=p_base_t(1:t_dyn);


solve_replace_w_coh3_update_pe;


disp('Dynamic computation finished')
toc

save(name_data_eq,'H_p_t','H_np_t','p_base_t','replace_w_coh3');

% compute other variables in the equilibrium, draw figures, save data
variables_eq;
variables_eq_ur;


%% ----------------- 4. Pension Reform Experiment Outcomes ------------------------

experiment_delayedreform_2100;     % current system
disp('Experiment_benchmark_2013 finished')
toc
