% adjust N

% covered by pension, jump to 100%
Perc_w_p_ini=1;
Perc_w_p_ss=1;

% pension coverage rate for the existing cohorts in 2000 is Perc_w_p_ini
for j=1:J
    coh=J-j+1;
    Perc_w_p_coh(coh)=Perc_w_p_ini;
end
% pension coverage rate for cohorts born before 2013 is Perc_w_p_ini
for t=2:t_2013-1
    coh=J+t-1;
    Perc_w_p_coh(coh)=Perc_w_p_ini;
end
% pension coverage rate for cohorts born between 2013 and 2050 steadily
% increase to Perc_w_p_ss
for t=t_2013:t_2050 % 2052
    coh=J+t-1;
    Perc_w_p_coh(coh)=Perc_w_p_ini+(t-(t_2013-1))/(t_2050-(t_2013-1))*(Perc_w_p_ss-Perc_w_p_ini);
end
% after 2052, Perc_w_p_ss
for t=t_2050+1:t_dyn
    coh=J+t-1;
    Perc_w_p_coh(coh)=Perc_w_p_ss;
end

Perc_w_np_coh=1-Perc_w_p_coh;


for t=1:t_dyn
    for j=1:J
        % for different age
        Nw_p_t(j,t)=Nw_t(j,t)*Perc_w_p_coh(J-j+t);
        Nw_np_t(j,t)=Nw_t(j,t)*Perc_w_np_coh(J-j+t);
    end
    Nw_labor_p_t(t)=sum(Nw_p_t(1:Jw-1,t));
    Nw_labor_np_t(t)=sum(Nw_np_t(1:Jw-1,t));
    Nw_retire_p_t(t)=sum(Nw_p_t(Jw:J,t));
    Nw_retire_np_t(t)=sum(Nw_np_t(Jw:J,t));
end


