function yy=fun_ev(ratio,u,c,h,Surv,bet_w)

global sig g phi rho
% u is utility target
% c is consumption vector, h is labor vector to calculate utility v
% yy=ratio*v-u


if length(c)~=length(h)
    disp('Warning! length(c)~=length(h)!')
    pause;
end
Length=length(c);

v=0;
for l=1:Length        

    v_l(l)=fun_u_kpr(ratio*c(l),h(l));
    v=v+prod(Surv(1:l))*(bet_w*(1+g)^(1-sig))^(l-1)*v_l(l);

end

yy=v-u;
       
end