 


clear;
clear global;
close all;
tic

%% ----------------- 0. Setup ---------------------------------

global_claim;  % global variables


index_fixedlabor=1;
index_gtext=0;

% parameters that do not depend on year
parameters_basic;

% set the parameters (e.g. population, death rate) if the economy starts from 2000
% name_data_2000='data_benchmark_34_1.mat';
name_data_2000='..\Pension34.1_1992_ConstantBeta_111103\data_benchmark_34_1.mat';

parameters_t_2013; 
% pension and tax that matter for the equilibrium price
pensionsystem_2013; % current system, tau_w_ss=0.2; tau_


% ---- rural
parameters_rural_2013;
% load pension system from the old one
pensionsystem_rural_2013_old;

parameters_data_t_2013;

% adjust_prod_cd; % after parameters_rural, so the rural part was still the same
% not necessary, because proportionally increase prod do not change labor
% supply

% initial wealth distribution
% here we set the initial wealth as certain ration of the pre-transition equilibrium
initialstate_2013;


load('data_benchmark_2013','replace_w_ss');
%% ---------------- 0. try different gamma ---------------

h_data=9/24;
gamma=0.2149;
iter_gamma=0;
dev_gamma=1;
while iter_gamma<100 && abs(dev_gamma)>1e-6
    iter_gamma=iter_gamma+1;
    steadystate;
    dev_gamma=ave_h_ss-h_data;
    gamma_new=(-(ave_h_ss-h_data)/h_data+1)*gamma;
    gamma=gamma_new;
    iter_gamma
    gamma
    dev_gamma
endm

save data_gamma gamma