% All experiment results in all scenarios

%% ------------------------- 1. Baseline ----------------------
clear
baseline.folder='../Pension1_BaselineScenario/';
% basline scenario
baseline.benchmark=load([baseline.folder 'data_benchmark_2013']);
baseline.results(1,1)=baseline.benchmark.replace_w_coh3;
baseline.delayedreform=load([baseline.folder 'data_delayedreform']);
baseline.results(2,1)=baseline.delayedreform.replace_w_coh3;
baseline.results(2,2)=baseline.delayedreform.ev_p_sum;
baseline.results(2,3)=baseline.delayedreform.ev_n_sum;
baseline.results(2,4)=baseline.delayedreform.ev_p_sum_rg;
baseline.results(2,5)=baseline.delayedreform.ev_n_sum_rg;
baseline.delayedreform2100=load([baseline.folder 'data_delayedreform_2100']);
baseline.results(3,1)=baseline.delayedreform2100.replace_w_coh3;
baseline.results(3,2)=baseline.delayedreform2100.ev_p_sum;
baseline.results(3,3)=baseline.delayedreform2100.ev_n_sum;
baseline.results(3,4)=baseline.delayedreform2100.ev_p_sum_rg;
baseline.results(3,5)=baseline.delayedreform2100.ev_n_sum_rg;
baseline.fullyfunded=load([baseline.folder 'data_fullyfunded']);
baseline.results(4,1)=baseline.fullyfunded.tau_w_ss;
baseline.results(4,2)=baseline.fullyfunded.ev_p_sum;
baseline.results(4,3)=baseline.fullyfunded.ev_n_sum;
baseline.results(4,4)=baseline.fullyfunded.ev_p_sum_rg;
baseline.results(4,5)=baseline.fullyfunded.ev_n_sum_rg;
baseline.PAYGO=load([baseline.folder 'data_PAYGO']);
baseline.results(5,2)=baseline.PAYGO.ev_p_sum;
baseline.results(5,3)=baseline.PAYGO.ev_n_sum;
baseline.results(5,4)=baseline.PAYGO.ev_p_sum_rg;
baseline.results(5,5)=baseline.PAYGO.ev_n_sum_rg;


baseline.ruralpension=load([baseline.folder 'data_ruralpension']);
baseline.results(6,1)=baseline.ruralpension.replace_w_coh3;
baseline.results(6,2)=baseline.ruralpension.ev_p_sum;
baseline.results(6,3)=baseline.ruralpension.ev_np_sum;
baseline.results(6,4)=baseline.ruralpension.ev_r_sum;
baseline.results(6,5)=baseline.ruralpension.ev_n_sum;
baseline.results(6,6)=baseline.ruralpension.ev_p_sum_rg;
baseline.results(6,7)=baseline.ruralpension.ev_np_sum_rg;
baseline.results(6,8)=baseline.ruralpension.ev_r_sum_rg;
baseline.results(6,9)=baseline.ruralpension.ev_n_sum_rg;
baseline.drasticreform=load([baseline.folder 'data_drasticreform']);
baseline.results(7,1)=baseline.drasticreform.replace_w_coh3;
baseline.results(7,2)=baseline.drasticreform.ev_p_sum;
baseline.results(7,3)=baseline.drasticreform.ev_np_sum;
baseline.results(7,4)=baseline.drasticreform.ev_r_sum;
baseline.results(7,5)=baseline.drasticreform.ev_n_sum;
baseline.results(7,6)=baseline.drasticreform.ev_p_sum_rg;
baseline.results(7,7)=baseline.drasticreform.ev_np_sum_rg;
baseline.results(7,8)=baseline.drasticreform.ev_r_sum_rg;
baseline.results(7,9)=baseline.drasticreform.ev_n_sum_rg;
baseline.taxincrease=load([baseline.folder 'data_taxincrease']);
baseline.results(8,1)=baseline.taxincrease.tau_w_ss;
baseline.retirementextension=load([baseline.folder 'data_retirementextension']);
baseline.results(9,1)=baseline.retirementextension.replace_w_coh3;
baseline.Ramsey_FB=load([baseline.folder 'data_Ramsey_FB']);
baseline.results(10,2)=baseline.Ramsey_FB.ev_p_sum;
baseline.results(10,3)=baseline.Ramsey_FB.ev_n_sum;
baseline.results(10,4)=baseline.Ramsey_FB.ev_p_sum_rg;
baseline.results(10,5)=baseline.Ramsey_FB.ev_n_sum_rg;
baseline.Ramsey=load([baseline.folder 'data_Ramsey']);
baseline.results(11,2)=baseline.Ramsey.ev_p_sum;
baseline.results(11,3)=baseline.Ramsey.ev_n_sum;
baseline.results(11,4)=baseline.Ramsey.ev_p_sum_rg;
baseline.results(11,5)=baseline.Ramsey.ev_n_sum_rg;
baseline.Ramsey_2constraints=load([baseline.folder 'data_Ramsey_2constraints']);
baseline.results(12,2)=baseline.Ramsey_2constraints.ev_p_sum;
baseline.results(12,3)=baseline.Ramsey_2constraints.ev_n_sum;
baseline.results(12,4)=baseline.Ramsey_2constraints.ev_p_sum_rg;
baseline.results(12,5)=baseline.Ramsey_2constraints.ev_n_sum_rg;


baseline.results'






%% --------------------------- 2. ZengYi 2007 Scenario 1, Low Fertility ------------------------

clear
LowFertility.folder='../Pension2_LowFertility/';
% basline scenario
LowFertility.benchmark=load([LowFertility.folder 'data_benchmark_2013']);
LowFertility.results(1,1)=LowFertility.benchmark.replace_w_coh3;
LowFertility.delayedreform=load([LowFertility.folder 'data_delayedreform']);
LowFertility.results(2,1)=LowFertility.delayedreform.replace_w_coh3;
LowFertility.results(2,2)=LowFertility.delayedreform.ev_p_sum;
LowFertility.results(2,3)=LowFertility.delayedreform.ev_n_sum;
LowFertility.results(2,4)=LowFertility.delayedreform.ev_p_sum_rg;
LowFertility.results(2,5)=LowFertility.delayedreform.ev_n_sum_rg;
LowFertility.delayedreform2100=load([LowFertility.folder 'data_delayedreform_2100']);
LowFertility.results(3,1)=LowFertility.delayedreform2100.replace_w_coh3;
LowFertility.results(3,2)=LowFertility.delayedreform2100.ev_p_sum;
LowFertility.results(3,3)=LowFertility.delayedreform2100.ev_n_sum;
LowFertility.results(3,4)=LowFertility.delayedreform2100.ev_p_sum_rg;
LowFertility.results(3,5)=LowFertility.delayedreform2100.ev_n_sum_rg;
LowFertility.fullyfunded=load([LowFertility.folder 'data_fullyfunded']);
LowFertility.results(4,1)=LowFertility.fullyfunded.tau_w_ss;
LowFertility.results(4,2)=LowFertility.fullyfunded.ev_p_sum;
LowFertility.results(4,3)=LowFertility.fullyfunded.ev_n_sum;
LowFertility.results(4,4)=LowFertility.fullyfunded.ev_p_sum_rg;
LowFertility.results(4,5)=LowFertility.fullyfunded.ev_n_sum_rg;
LowFertility.PAYGO=load([LowFertility.folder 'data_PAYGO']);
LowFertility.results(5,2)=LowFertility.PAYGO.ev_p_sum;
LowFertility.results(5,3)=LowFertility.PAYGO.ev_n_sum;
LowFertility.results(5,4)=LowFertility.PAYGO.ev_p_sum_rg;
LowFertility.results(5,5)=LowFertility.PAYGO.ev_n_sum_rg;

LowFertility.results'

%% --------------------------- 3. r=0.06 High Interest ------------------------

clear
HighInterest.folder='../Pension3_HighInterest/';
% basline scenario
HighInterest.benchmark=load([HighInterest.folder 'data_benchmark_2013']);
HighInterest.results(1,1)=HighInterest.benchmark.replace_w_coh3;
HighInterest.delayedreform=load([HighInterest.folder 'data_delayedreform']);
HighInterest.results(2,1)=HighInterest.delayedreform.replace_w_coh3;
HighInterest.results(2,2)=HighInterest.delayedreform.ev_p_sum;
HighInterest.results(2,3)=HighInterest.delayedreform.ev_n_sum;
HighInterest.results(2,4)=HighInterest.delayedreform.ev_p_sum_rg;
HighInterest.results(2,5)=HighInterest.delayedreform.ev_n_sum_rg;
HighInterest.delayedreform2100=load([HighInterest.folder 'data_delayedreform_2100']);
HighInterest.results(3,1)=HighInterest.delayedreform2100.replace_w_coh3;
HighInterest.results(3,2)=HighInterest.delayedreform2100.ev_p_sum;
HighInterest.results(3,3)=HighInterest.delayedreform2100.ev_n_sum;
HighInterest.results(3,4)=HighInterest.delayedreform2100.ev_p_sum_rg;
HighInterest.results(3,5)=HighInterest.delayedreform2100.ev_n_sum_rg;
HighInterest.fullyfunded=load([HighInterest.folder 'data_fullyfunded']);
HighInterest.results(4,1)=HighInterest.fullyfunded.tau_w_ss;
HighInterest.results(4,2)=HighInterest.fullyfunded.ev_p_sum;
HighInterest.results(4,3)=HighInterest.fullyfunded.ev_n_sum;
HighInterest.results(4,4)=HighInterest.fullyfunded.ev_p_sum_rg;
HighInterest.results(4,5)=HighInterest.fullyfunded.ev_n_sum_rg;
HighInterest.PAYGO=load([HighInterest.folder 'data_PAYGO']);
HighInterest.results(5,2)=HighInterest.PAYGO.ev_p_sum;
HighInterest.results(5,3)=HighInterest.PAYGO.ev_n_sum;
HighInterest.results(5,4)=HighInterest.PAYGO.ev_p_sum_rg;
HighInterest.results(5,5)=HighInterest.PAYGO.ev_n_sum_rg;

HighInterest.results'


%% --------------------------- 4. Low Growth, SS Growth  ------------------------

clear
LowGrowth.folder='../Pension4_LowWageGrowth/';
% basline scenario
LowGrowth.benchmark=load([LowGrowth.folder 'data_benchmark_2013']);
LowGrowth.results(1,1)=LowGrowth.benchmark.replace_w_coh3;
LowGrowth.delayedreform=load([LowGrowth.folder 'data_delayedreform']);
LowGrowth.results(2,1)=LowGrowth.delayedreform.replace_w_coh3;
LowGrowth.results(2,2)=LowGrowth.delayedreform.ev_p_sum;
LowGrowth.results(2,3)=LowGrowth.delayedreform.ev_n_sum;
LowGrowth.results(2,4)=LowGrowth.delayedreform.ev_p_sum_rg;
LowGrowth.results(2,5)=LowGrowth.delayedreform.ev_n_sum_rg;
LowGrowth.delayedreform2100=load([LowGrowth.folder 'data_delayedreform_2100']);
LowGrowth.results(3,1)=LowGrowth.delayedreform2100.replace_w_coh3;
LowGrowth.results(3,2)=LowGrowth.delayedreform2100.ev_p_sum;
LowGrowth.results(3,3)=LowGrowth.delayedreform2100.ev_n_sum;
LowGrowth.results(3,4)=LowGrowth.delayedreform2100.ev_p_sum_rg;
LowGrowth.results(3,5)=LowGrowth.delayedreform2100.ev_n_sum_rg;
LowGrowth.fullyfunded=load([LowGrowth.folder 'data_fullyfunded']);
LowGrowth.results(4,1)=LowGrowth.fullyfunded.tau_w_ss;
LowGrowth.results(4,2)=LowGrowth.fullyfunded.ev_p_sum;
LowGrowth.results(4,3)=LowGrowth.fullyfunded.ev_n_sum;
LowGrowth.results(4,4)=LowGrowth.fullyfunded.ev_p_sum_rg;
LowGrowth.results(4,5)=LowGrowth.fullyfunded.ev_n_sum_rg;
LowGrowth.PAYGO=load([LowGrowth.folder 'data_PAYGO']);
LowGrowth.results(5,2)=LowGrowth.PAYGO.ev_p_sum;
LowGrowth.results(5,3)=LowGrowth.PAYGO.ev_n_sum;
LowGrowth.results(5,4)=LowGrowth.PAYGO.ev_p_sum_rg;
LowGrowth.results(5,5)=LowGrowth.PAYGO.ev_n_sum_rg;

LowGrowth.results'



%% --------------------------- 5. LowBeta  ------------------------

clear
LowBeta.folder='../Pension5_LowBeta/';
% basline scenario
LowBeta.benchmark=load([LowBeta.folder 'data_benchmark_2013']);
LowBeta.results(1,1)=LowBeta.benchmark.replace_w_coh3;
LowBeta.delayedreform=load([LowBeta.folder 'data_delayedreform']);
LowBeta.results(2,1)=LowBeta.delayedreform.replace_w_coh3;
LowBeta.results(2,2)=LowBeta.delayedreform.ev_p_sum;
LowBeta.results(2,3)=LowBeta.delayedreform.ev_n_sum;
LowBeta.results(2,4)=LowBeta.delayedreform.ev_p_sum_rg;
LowBeta.results(2,5)=LowBeta.delayedreform.ev_n_sum_rg;
LowBeta.delayedreform2100=load([LowBeta.folder 'data_delayedreform_2100']);
LowBeta.results(3,1)=LowBeta.delayedreform2100.replace_w_coh3;
LowBeta.results(3,2)=LowBeta.delayedreform2100.ev_p_sum;
LowBeta.results(3,3)=LowBeta.delayedreform2100.ev_n_sum;
LowBeta.results(3,4)=LowBeta.delayedreform2100.ev_p_sum_rg;
LowBeta.results(3,5)=LowBeta.delayedreform2100.ev_n_sum_rg;
LowBeta.fullyfunded=load([LowBeta.folder 'data_fullyfunded']);
LowBeta.results(4,1)=LowBeta.fullyfunded.tau_w_ss;
LowBeta.results(4,2)=LowBeta.fullyfunded.ev_p_sum;
LowBeta.results(4,3)=LowBeta.fullyfunded.ev_n_sum;
LowBeta.results(4,4)=LowBeta.fullyfunded.ev_p_sum_rg;
LowBeta.results(4,5)=LowBeta.fullyfunded.ev_n_sum_rg;
LowBeta.PAYGO=load([LowBeta.folder 'data_PAYGO']);
LowBeta.results(5,2)=LowBeta.PAYGO.ev_p_sum;
LowBeta.results(5,3)=LowBeta.PAYGO.ev_n_sum;
LowBeta.results(5,4)=LowBeta.PAYGO.ev_p_sum_rg;
LowBeta.results(5,5)=LowBeta.PAYGO.ev_n_sum_rg;

LowBeta.results'



%% --------------------------- 6. FinancialLib  ------------------------

clear
FinancialLib.folder='../Pension6_FinancialLiberalization/';
% basline scenario
FinancialLib.benchmark=load([FinancialLib.folder 'data_benchmark_2013']);
FinancialLib.results(1,1)=FinancialLib.benchmark.replace_w_coh3;
FinancialLib.delayedreform=load([FinancialLib.folder 'data_delayedreform']);
FinancialLib.results(2,1)=FinancialLib.delayedreform.replace_w_coh3;
FinancialLib.results(2,2)=FinancialLib.delayedreform.ev_p_sum;
FinancialLib.results(2,3)=FinancialLib.delayedreform.ev_n_sum;
FinancialLib.results(2,4)=FinancialLib.delayedreform.ev_p_sum_rg;
FinancialLib.results(2,5)=FinancialLib.delayedreform.ev_n_sum_rg;
FinancialLib.delayedreform2100=load([FinancialLib.folder 'data_delayedreform_2100']);
FinancialLib.results(3,1)=FinancialLib.delayedreform2100.replace_w_coh3;
FinancialLib.results(3,2)=FinancialLib.delayedreform2100.ev_p_sum;
FinancialLib.results(3,3)=FinancialLib.delayedreform2100.ev_n_sum;
FinancialLib.results(3,4)=FinancialLib.delayedreform2100.ev_p_sum_rg;
FinancialLib.results(3,5)=FinancialLib.delayedreform2100.ev_n_sum_rg;
FinancialLib.fullyfunded=load([FinancialLib.folder 'data_fullyfunded']);
FinancialLib.results(4,1)=FinancialLib.fullyfunded.tau_w_ss;
FinancialLib.results(4,2)=FinancialLib.fullyfunded.ev_p_sum;
FinancialLib.results(4,3)=FinancialLib.fullyfunded.ev_n_sum;
FinancialLib.results(4,4)=FinancialLib.fullyfunded.ev_p_sum_rg;
FinancialLib.results(4,5)=FinancialLib.fullyfunded.ev_n_sum_rg;
FinancialLib.PAYGO=load([FinancialLib.folder 'data_PAYGO']);
FinancialLib.results(5,2)=FinancialLib.PAYGO.ev_p_sum;
FinancialLib.results(5,3)=FinancialLib.PAYGO.ev_n_sum;
FinancialLib.results(5,4)=FinancialLib.PAYGO.ev_p_sum_rg;
FinancialLib.results(5,5)=FinancialLib.PAYGO.ev_n_sum_rg;

FinancialLib.results'

    

%% --------------------------- 7. SlowConvergence  ------------------------

clear
SlowConvergence.folder='../Pension7_SlowConvergence/';
% basline scenario
SlowConvergence.benchmark=load([SlowConvergence.folder 'data_benchmark_2013']);
SlowConvergence.results(1,1)=SlowConvergence.benchmark.replace_w_coh3;
SlowConvergence.delayedreform=load([SlowConvergence.folder 'data_delayedreform']);
SlowConvergence.results(2,1)=SlowConvergence.delayedreform.replace_w_coh3;
SlowConvergence.results(2,2)=SlowConvergence.delayedreform.ev_p_sum;
SlowConvergence.results(2,3)=SlowConvergence.delayedreform.ev_n_sum;
SlowConvergence.results(2,4)=SlowConvergence.delayedreform.ev_p_sum_rg;
SlowConvergence.results(2,5)=SlowConvergence.delayedreform.ev_n_sum_rg;
SlowConvergence.delayedreform2100=load([SlowConvergence.folder 'data_delayedreform_2100']);
SlowConvergence.results(3,1)=SlowConvergence.delayedreform2100.replace_w_coh3;
SlowConvergence.results(3,2)=SlowConvergence.delayedreform2100.ev_p_sum;
SlowConvergence.results(3,3)=SlowConvergence.delayedreform2100.ev_n_sum;
SlowConvergence.results(3,4)=SlowConvergence.delayedreform2100.ev_p_sum_rg;
SlowConvergence.results(3,5)=SlowConvergence.delayedreform2100.ev_n_sum_rg;
SlowConvergence.fullyfunded=load([SlowConvergence.folder 'data_fullyfunded']);
SlowConvergence.results(4,1)=SlowConvergence.fullyfunded.tau_w_ss;
SlowConvergence.results(4,2)=SlowConvergence.fullyfunded.ev_p_sum;
SlowConvergence.results(4,3)=SlowConvergence.fullyfunded.ev_n_sum;
SlowConvergence.results(4,4)=SlowConvergence.fullyfunded.ev_p_sum_rg;
SlowConvergence.results(4,5)=SlowConvergence.fullyfunded.ev_n_sum_rg;
SlowConvergence.PAYGO=load([SlowConvergence.folder 'data_PAYGO']);
SlowConvergence.results(5,2)=SlowConvergence.PAYGO.ev_p_sum;
SlowConvergence.results(5,3)=SlowConvergence.PAYGO.ev_n_sum;
SlowConvergence.results(5,4)=SlowConvergence.PAYGO.ev_p_sum_rg;
SlowConvergence.results(5,5)=SlowConvergence.PAYGO.ev_n_sum_rg;

SlowConvergence.results'



%% --------------------------- 9. LowMigration  ------------------------

clear
LowMigration.folder='../Pension8_LowMigration/';
% basline scenario
LowMigration.benchmark=load([LowMigration.folder 'data_benchmark_2013']);
LowMigration.results(1,1)=LowMigration.benchmark.replace_w_coh3;
LowMigration.delayedreform=load([LowMigration.folder 'data_delayedreform']);
LowMigration.results(2,1)=LowMigration.delayedreform.replace_w_coh3;
LowMigration.results(2,2)=LowMigration.delayedreform.ev_p_sum;
LowMigration.results(2,3)=LowMigration.delayedreform.ev_n_sum;
LowMigration.results(2,4)=LowMigration.delayedreform.ev_p_sum_rg;
LowMigration.results(2,5)=LowMigration.delayedreform.ev_n_sum_rg;
LowMigration.delayedreform2100=load([LowMigration.folder 'data_delayedreform_2100']);
LowMigration.results(3,1)=LowMigration.delayedreform2100.replace_w_coh3;
LowMigration.results(3,2)=LowMigration.delayedreform2100.ev_p_sum;
LowMigration.results(3,3)=LowMigration.delayedreform2100.ev_n_sum;
LowMigration.results(3,4)=LowMigration.delayedreform2100.ev_p_sum_rg;
LowMigration.results(3,5)=LowMigration.delayedreform2100.ev_n_sum_rg;
LowMigration.fullyfunded=load([LowMigration.folder 'data_fullyfunded']);
LowMigration.results(4,1)=LowMigration.fullyfunded.tau_w_ss;
LowMigration.results(4,2)=LowMigration.fullyfunded.ev_p_sum;
LowMigration.results(4,3)=LowMigration.fullyfunded.ev_n_sum;
LowMigration.results(4,4)=LowMigration.fullyfunded.ev_p_sum_rg;
LowMigration.results(4,5)=LowMigration.fullyfunded.ev_n_sum_rg;
LowMigration.PAYGO=load([LowMigration.folder 'data_PAYGO']);
LowMigration.results(5,2)=LowMigration.PAYGO.ev_p_sum;
LowMigration.results(5,3)=LowMigration.PAYGO.ev_n_sum;
LowMigration.results(5,4)=LowMigration.PAYGO.ev_p_sum_rg;
LowMigration.results(5,5)=LowMigration.PAYGO.ev_n_sum_rg;

LowMigration.results'
    

%% --------------------------- 12. TwoPillars  ------------------------

clear
TwoPillars.folder='../Pension9_TwoTierSystem/';
% basline scenario
TwoPillars.benchmark=load([TwoPillars.folder 'data_benchmark_2013']);
TwoPillars.results(1,1)=TwoPillars.benchmark.replace_w_coh3;
TwoPillars.delayedreform=load([TwoPillars.folder 'data_delayedreform']);
TwoPillars.results(2,1)=TwoPillars.delayedreform.replace_w_coh3;
TwoPillars.results(2,2)=TwoPillars.delayedreform.ev_p_sum;
TwoPillars.results(2,3)=TwoPillars.delayedreform.ev_n_sum;
TwoPillars.results(2,4)=TwoPillars.delayedreform.ev_p_sum_rg;
TwoPillars.results(2,5)=TwoPillars.delayedreform.ev_n_sum_rg;
TwoPillars.delayedreform2100=load([TwoPillars.folder 'data_delayedreform_2100']);
TwoPillars.results(3,1)=TwoPillars.delayedreform2100.replace_w_coh3;
TwoPillars.results(3,2)=TwoPillars.delayedreform2100.ev_p_sum;
TwoPillars.results(3,3)=TwoPillars.delayedreform2100.ev_n_sum;
TwoPillars.results(3,4)=TwoPillars.delayedreform2100.ev_p_sum_rg;
TwoPillars.results(3,5)=TwoPillars.delayedreform2100.ev_n_sum_rg;
TwoPillars.fullyfunded=load([TwoPillars.folder 'data_fullyfunded']);
TwoPillars.results(4,1)=TwoPillars.fullyfunded.tau_w_ss;
TwoPillars.results(4,2)=TwoPillars.fullyfunded.ev_p_sum;
TwoPillars.results(4,3)=TwoPillars.fullyfunded.ev_n_sum;
TwoPillars.results(4,4)=TwoPillars.fullyfunded.ev_p_sum_rg;
TwoPillars.results(4,5)=TwoPillars.fullyfunded.ev_n_sum_rg;
TwoPillars.PAYGO=load([TwoPillars.folder 'data_PAYGO']);
TwoPillars.results(5,2)=TwoPillars.PAYGO.ev_p_sum;
TwoPillars.results(5,3)=TwoPillars.PAYGO.ev_n_sum;
TwoPillars.results(5,4)=TwoPillars.PAYGO.ev_p_sum_rg;
TwoPillars.results(5,5)=TwoPillars.PAYGO.ev_n_sum_rg;

TwoPillars.results'



%% --------------------------- 12. Retire57  ------------------------

clear
Retire57.folder='../Pension10_Retire57/';
% basline scenario
Retire57.benchmark=load([Retire57.folder 'data_benchmark_2013']);
Retire57.results(1,1)=Retire57.benchmark.replace_w_coh3;
Retire57.delayedreform=load([Retire57.folder 'data_delayedreform']);
Retire57.results(2,1)=Retire57.delayedreform.replace_w_coh3;
Retire57.results(2,2)=Retire57.delayedreform.ev_p_sum;
Retire57.results(2,3)=Retire57.delayedreform.ev_n_sum;
Retire57.results(2,4)=Retire57.delayedreform.ev_p_sum_rg;
Retire57.results(2,5)=Retire57.delayedreform.ev_n_sum_rg;
Retire57.delayedreform2100=load([Retire57.folder 'data_delayedreform_2100']);
Retire57.results(3,1)=Retire57.delayedreform2100.replace_w_coh3;
Retire57.results(3,2)=Retire57.delayedreform2100.ev_p_sum;
Retire57.results(3,3)=Retire57.delayedreform2100.ev_n_sum;
Retire57.results(3,4)=Retire57.delayedreform2100.ev_p_sum_rg;
Retire57.results(3,5)=Retire57.delayedreform2100.ev_n_sum_rg;
Retire57.fullyfunded=load([Retire57.folder 'data_fullyfunded']);
Retire57.results(4,1)=Retire57.fullyfunded.tau_w_ss;
Retire57.results(4,2)=Retire57.fullyfunded.ev_p_sum;
Retire57.results(4,3)=Retire57.fullyfunded.ev_n_sum;
Retire57.results(4,4)=Retire57.fullyfunded.ev_p_sum_rg;
Retire57.results(4,5)=Retire57.fullyfunded.ev_n_sum_rg;
Retire57.PAYGO=load([Retire57.folder 'data_PAYGO']);
Retire57.results(5,2)=Retire57.PAYGO.ev_p_sum;
Retire57.results(5,3)=Retire57.PAYGO.ev_n_sum;
Retire57.results(5,4)=Retire57.PAYGO.ev_p_sum_rg;
Retire57.results(5,5)=Retire57.PAYGO.ev_n_sum_rg;

Retire57.results'

