% all the variables




%% ------------------------- General Equilibrium ------------------------
% ------------------------- basic variables
clear

load('../Pension1_BaselineScenario/data_benchmark')

t_2000=1+2000-year_start;

age_start
Jw
age_retire=age_ini+Jw-1
step_prod 

bet_w_ini
phi

alp
dep
chi_ini
psai_ini

diff_RE_Rl=rho_t(t_2000)-rl_t(t_2000)

ratio_AE_Y_t(1:t_dyn)=AE_t(1:t_dyn)./Y_t(1:t_dyn);
ratio_AE_Y_00=ratio_AE_Y_t(t_2000)

ratio_Ag_Yur_00=Ag_t(t_2000)./Yur_t(t_2000)
ratio_Ag_extra_netKg_Yur_00=Ag_extra_netKg_t(t_2000)./Yur_t(t_2000)
ratio_B_Yur_00=B_t(t_2000)./Yur_t(t_2000)
ratio_B_Yur_t(1:t_dyn)=B_t(1:t_dyn)./Yur_t(1:t_dyn);



% ----------------- rural
alp_r
ratio_w_wr_t(1:t_dyn)=w_t(1:t_dyn)./wr_t(1:t_dyn);
ratio_w_wr_00=ratio_w_wr_t(t_2000)
ratio_wr_w_00=1/ratio_w_wr_t(t_2000)



%% --------------------------- wage and gdppc growth 
clear
load('../Pension1_BaselineScenario/data_benchmark')

if year_start~=2000
    disp('Waring, year_start~=2000')
    pasue;
end


t_2000=1+2000-year_start;
t_2001=1+2001-year_start;
t_2002=1+2002-year_start;
t_2011=1+2011-year_start;
t_2012=1+2012-year_start;
t_2020=1+2020-year_start;
t_2030=1+2030-year_start;
t_2039=1+2039-year_start;
t_2040=1+2040-year_start;
t_2050=1+2050-year_start;

t_var=101;
growth_g_Yur_t_0011=(Yur_t(t_2011)/Yur_t(t_2000))^(1/(t_2011-t_2000))-1+g
growth_g_Yur_t_1340=(Yur_t(t_2040)/Yur_t(t_2013))^(1/(t_2040-t_2013))-1+g
growth_g_yur_t=growth_yur_t+g;
growth_g_yur_t_ma=growth_yur_t_ma+g;
growth_g_yur_pw_t_0020=growth_yur_pw_t(t_2000:t_2020)+g
growth_g_yur_pw_t_2030=growth_yur_pw_t(t_2020:t_2030)+g
t_g_yur_pw_larger_yur=find(growth_yur_pw_t>growth_yur_t,10,'first')
growth_Z_t_0011=(Z_t(t_2011)/Z_t(t_2000))^(1/(t_2011-t_2000))-1

% w_t(1:t_var)
% wr_t(1:t_var)
% wr_t(1)/w_t(1)

gdppc_CN1_US_t=gdppc_CN1(1:200)./gdppc_US(1:200);
gdppc_CN2_US_t=gdppc_CN2(1:200)./gdppc_US(1:200);
gdppc_CN2_US_2040=gdppc_CN2(t_2040)/gdppc_US(t_2040)
gdppc_CN2_US_2039=gdppc_CN2(t_2039)/gdppc_US(t_2039)


ratio_gdp_CN1_US_t(1:t_var)=gdppc_CN1_US_t(1:t_var).*pop_CN./pop_US;
ratio_gdp_CN2_US_t(1:t_var)=gdppc_CN2_US_t(1:t_var).*pop_CN./pop_US;
t_gdp_CN2_larger_US=find(gdp_CN2>gdp_US,10,'first')


growth_w_t(2:t_dyn)=w_t(2:t_dyn)./w_t(1:t_dyn-1)-1;
growth_ave_h_t(2:t_dyn)=ave_h_t(2:t_dyn)./ave_h_t(1:t_dyn-1)-1;
growth_ave_prod_t(2:t_dyn)=ave_prod_t(2:t_dyn)./ave_prod_t(1:t_dyn-1)-1;
growth_ave_wageincome_t(2:t_dyn)=ave_wageincome_t(2:t_dyn)./ave_wageincome_t(1:t_dyn-1)-1;
growth_ave_yw_includingretire_t(2:t_dyn)=ave_yw_includingretire_t(2:t_dyn)./ave_yw_includingretire_t(1:t_dyn-1)-1;


growth_wageincome_netprod_t_00_11=(ave_wageincome_netprod_t(t_2011)/ave_wageincome_netprod_t(t_2000))^(1/(t_2011-t_2000))-1
growth_wageincome_netprod_t_11_30=(ave_wageincome_netprod_t(t_2030)/ave_wageincome_netprod_t(t_2011))^(1/(t_2030-t_2011))-1
growth_wageincome_netprod_t_30_50=(ave_wageincome_netprod_t(t_2050)/ave_wageincome_netprod_t(t_2030))^(1/(t_2050-t_2030))-1

growth_yw_t_11_50=(ave_wageincome_t(t_2050)/ave_wageincome_t(t_2011))^(1/(t_2050-t_2011))-1
growth_w_t_00_02=(w_t(t_2002)/w_t(t_2000))^(1/(t_2002-t_2000))-1
growth_w_t_95_00=growth_w_t_00_02
growth_w_t_00_11=(w_t(t_2011)/w_t(t_2000))^(1/(t_2011-t_2000))-1
growth_w_t_11_30=(w_t(t_2030)/w_t(t_2011))^(1/(t_2030-t_2011))-1
growth_w_t_00_13=(w_t(t_2013)/w_t(t_2000))^(1/(t_2013-t_2000))-1
growth_w_t_13_31=(w_t(t_2031)/w_t(t_2013))^(1/(t_2031-t_2013))-1
growth_w_t_31_40=(w_t(t_2040)/w_t(t_2031))^(1/(t_2040-t_2031))-1
growth_ave_prod_t_13_40=(ave_prod_t(t_2040)/ave_prod_t(t_2013))^(1/(t_2040-t_2013))-1


growth_w_t_12_50=(w_t(t_2050)/w_t(t_2012))^(1/(t_2050-t_2012))-1
growth_ave_h_t_12_50=(ave_h_t(t_2050)/ave_h_t(t_2012))^(1/(t_2050-t_2012))-1
growth_ave_prod_t_12_50=(ave_prod_t(t_2050)/ave_prod_t(t_2012))^(1/(t_2050-t_2012))-1
growth_wageincome_netprod_t_12_50=(ave_wageincome_netprod_t(t_2050)/ave_wageincome_netprod_t(t_2012))^(1/(t_2050-t_2012))-1
growth_ave_wageincome_t_12_50=(ave_wageincome_t(t_2050)/ave_wageincome_t(t_2012))^(1/(t_2050-t_2012))-1
growth_ave_yw_includingretire_t_12_50=(ave_yw_includingretire_t(t_2050)/ave_yw_includingretire_t(t_2012))^(1/(t_2050-t_2012))-1

t_g_w_stop=find(growth_w_t<=0,2,'first')
year_g_w_stop=year_start+t_g_w_stop(2)-1
year_transition_end=year_g_w_stop-1

% rural wage growth
growth_wr_t(2:t_dyn)=wr_t(2:t_dyn)./wr_t(1:t_dyn-1);
t_nogrowth=find(growth_wr_t==1,1);
year_nogrowth=year_start+t_nogrowth-1;
t_growthuntil=t_nogrowth-1;
year_growthuntil=year_nogrowth-1
growth_wr_t_growthuntil=(wr_t(t_growthuntil)/wr_t(1))^(1/(t_growthuntil-1))
growth_wr_t_00_40=(wr_t(t_2040)/wr_t(1))^(1/(t_2040-1))

% ---------------------------- return to capital
t_fig=t_var;
r_agg_t=(rho_t(1:t_fig).*KE_t(1:t_fig)+rl_t(1:t_fig).*KF_t(1:t_fig))./(KE_t(1:t_fig)+KF_t(1:t_fig));

% --------------------------- wage: cn vs us

target_ratio_y_CNUS_ss=(1-psai_ss)^(alp/(1-alp));
ratio_w_CNUS_ss=(1-psai_ss)*target_ratio_y_CNUS_ss;
ratio_w_CNUS_t(1:t_dyn)=ratio_w_CNUS_ss*w_t(1:t_dyn)/w_t(t_dyn)
ratio_w_CNUS_2039=ratio_w_CNUS_t(t_2039)
ratio_w_CNUS_2040=ratio_w_CNUS_t(t_2040)


%% ------------------------- 2013 wage steps --------------

load('../Pension1_BaselineScenario/data_benchmark_2013')


growth_w_t_13_31=(w_t(t_2031)/w_t(t_2013))^(1/(t_2031-t_2013))-1
growth_w_t_31_40=(w_t(t_2040)/w_t(t_2031))^(1/(t_2040-t_2031))-1



% --------------------------- wage: slower longer growth 
clear
load ('../Pension7_SlowConvergence/data_benchmark_2013');
baseline=load ('../Pension1_BaselineScenario/data_benchmark_2013','w_t');
w_t;
w_t_baseline=baseline.w_t;
t_end_w_slow
year_end_w_slow=year_start+t_end_w_slow-1

%% ---------------------------- lifetime income, born in 1970 and 2000 ----------------------------
% load('../Pension34.1_1992_ConstantBeta_111103/data_benchmark')
% load('../Pension34.1_1992_ConstantBeta_111103/data_benchmark')
load('../Pension1_BaselineScenario/data_benchmark')
growth_w_pre_t

for coh=1:100
    yw_p_lifetime_coh(coh)=0;
    for j=1:J
        yw_p_lifetime_coh(coh)=yw_p_lifetime_coh(coh)+sum(yw_p_coh(j,coh)*((1+g)/(1+r))^(j-1)*prod(lam_jcoh(1:j,coh)));
    end
end

for coh=1:100
    yw_np_lifetime_coh(coh)=0;
    for j=1:J
        yw_np_lifetime_coh(coh)=yw_np_lifetime_coh(coh)+sum(yw_np_coh(j,coh)*((1+g)/(1+r))^(j-1)*prod(lam_jcoh(1:j,coh)));
    end
end

% compare cohort entering market in 1970 and 2000
coh_2000=J;
coh_1970=J-30;
yw_p_lifetime_coh(coh_2000)/yw_p_lifetime_coh(coh_1970)*(1+g)^30
yw_np_lifetime_coh(coh_2000)/yw_np_lifetime_coh(coh_1970)*(1+g)^30

cw_p_coh(1:J,coh_2000)./cw_p_coh(1:J,coh_1970)*(1+g)^30

coh_retire2050=1+(J-Jw)+(2050-year_start);
coh_retire2013=1+(J-Jw)+(2013-year_start);
ratio_yw_p_retire2050_2013=yw_p_lifetime_coh(coh_retire2050)/yw_p_lifetime_coh(coh_retire2013)*(1+g)^(coh_retire2050-coh_retire2013)
ratio_yw_np_retire2050_2013=yw_np_lifetime_coh(coh_retire2050)/yw_np_lifetime_coh(coh_retire2013)*(1+g)^(coh_retire2050-coh_retire2013)





%% ----------------------- variables in baseline model -------------------
%% ------------ benchmark reform, pension surplus tax -------------
load('../Pension1_BaselineScenario/data_benchmark')
t_2080=2080-year_start+1;
pension_deficit_t=pension_total_t-tax_total_t;
t_pension_deficit=find(pension_deficit_t>0,1,'first');
year_pension_deficit=year_start+t_pension_deficit-1
ratio_govdebt_Yw_t(1:t_dyn)=gov_debt_t(1:t_dyn)./Yw_t(1:t_dyn);
ratio_govdebt_Yw_80=ratio_govdebt_Yw_t(t_2080)



%% ------------ benchmark, 2013, pension cohort comparison -------------
clear 
load('../Pension1_BaselineScenario/data_benchmark_2013')
coh_retire_2013=1+J-Jw;
% coh_retire_2052=coh_retire_2013+2052-2013;
% pw_sum_coh(coh_retire_2052)/pw_sum_coh(coh_retire_2013)*(1+g)^(2052-2013)
coh_retire_2050=coh_retire_2013+2050-2013;
year_born_coh_retire_2050=year_start-(J-1)+coh_retire_2050-1
pw_sum_coh(coh_retire_2050)/pw_sum_coh(coh_retire_2013)*(1+g)^(2050-2013)





%% -------------------- Theory Driven Experiments --------------------------------

% ------------- First Best --------------
clear 
load('../Pension1_BaselineScenario/data_Ramsey_FB');
Ramsey=load('../Pension1_BaselineScenario/data_Ramsey');
coh_retire_2013=1+J-Jw;
coh_retire_1990=coh_retire_2013+1990-2013;
coh_retire_2065=coh_retire_2013+2065-2013;
coh_retire_2072=coh_retire_2013+2072-2013;
replace_w_coh(coh_retire_1990)
Ramsey.replace_w_coh(coh_retire_1990)

replace_w_coh_retire2013=replace_w_coh(coh_retire_2013)
replace_w_coh_retire2065=replace_w_coh(coh_retire_2065)
replace_w_coh_retire2072=replace_w_coh(coh_retire_2072)


diff_replace_w_coh=replace_w_coh(2:t_dyn)-replace_w_coh(1:t_dyn-1);
% coh_flat_replace_w=find(diff_replace_w_coh>=0,10,'first')
coh_flat_replace_w=find(replace_w_coh<=replace_w_coh(t_dyn),1,'first')
% coh_flat_replace_w=coh_flat_replace_w(3)
year_retire_coh_flat_replace_w=2013+coh_flat_replace_w-coh_retire_2013
replace_w_coh_flat=replace_w_coh(coh_flat_replace_w)



coh_large_ev_p=find(ev_p_coh>1,100,'first')
year_retire_coh_large_ev_p=2013+coh_large_ev_p-coh_retire_2013
coh_flat_ev_p=find(ev_p_coh<=ev_p_coh(t_dyn),1,'first')
% coh_flat_ev_p=coh_flat_ev_p(3)
year_retire_coh_flat_ev_p=2013+coh_flat_ev_p-coh_retire_2013
year_retire_coh_flat_ev_p_after=year_retire_coh_flat_ev_p-1
ev_p_coh(coh_flat_ev_p)
coh_lose_ev_p=find(ev_p_coh<0,1,'first')
year_retire_coh_lose_ev_p=2013+coh_lose_ev_p-coh_retire_2013
year_retire_coh_gain_ev_p_before=year_retire_coh_lose_ev_p



%% ------------ Ramsey, p>0 Constraint --------------
clear 
load('../Pension1_BaselineScenario/data_Ramsey');
coh_retire_2013=1+J-Jw;

coh_replace_w_zero=find(replace_w_coh==0,1,'first')
year_retire_coh_replace_w_zero=2013+coh_replace_w_zero-coh_retire_2013

coh_tau_w_zero_last=find(tau_w_coh==0,1,'last')
year_retire_coh_tau_w_zero_last=2013+coh_tau_w_zero_last-coh_retire_2013
year_retire_coh_tau_w_zero_before=year_retire_coh_tau_w_zero_last+1

tau_w_coh(t_dyn)





%% --------------------- Ramsey, P<60% ----------------------
clear 
load('../Pension1_BaselineScenario/data_Ramsey_2Constraints');
coh_retire_2013=1+J-Jw;

coh_replace_w_max=find(replace_w_coh==0.6,1,'last')
year_retire_coh_replace_w_max=2013+coh_replace_w_max-coh_retire_2013

coh_replace_w_zero=find(replace_w_coh==0,1,'first')
year_retire_coh_replace_w_zero=2013+coh_replace_w_zero-coh_retire_2013

coh_tau_w_positive=find(tau_w_coh==0,1,'last')
year_retire_coh_tau_w_positive=2013+coh_tau_w_positive-coh_retire_2013

tau_w_coh(t_dyn)



%% --------------------------- Policy-Driven Realistic Experiments -------------------------
% ------------ delayed reform, welfare gain of the cohort retiring at 2051 --------------
index_mac=0;
clearvars -except index_mac
data_benchmark=('../Pension1_BaselineScenario/data_benchmark_2013')
load('../Pension1_BaselineScenario/data_delayedreform')



coh_retire_2013=1+J-Jw;
% coh_retire_2051=J;
coh_retire_t_reform=1+(J-Jw)+(t_reform-1);
coh_retire_before_t_reform=coh_retire_t_reform-1;
ev_coh_t_reform=ev_p_coh(coh_retire_before_t_reform)
% average welfare gain
ave_ev_coh_beforereform=mean(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
min(ev_p_coh(coh_retire_t_reform:t_dyn))
% pension surpasses the benchmark
benchmark=load(data_benchmark,'pension_total_t');
t_pensionlessthanbm=find(pension_total_t-benchmark.pension_total_t<0,1,'first')
year_pensionmorethanbm=year_start+t_pensionlessthanbm-1 -1 



% when the current youngest cohort retire and die 
load('../Pension1_BaselineScenario/data_delayedreform')
year_retire_youngest=year_start+Jw-1
year_die_youngest=year_start+J-1

% when deficit
pension_deficit_t=pension_total_t-tax_total_t;
t_pension_deficit=find(pension_deficit_t>0,1,'first');
year_pension_deficit=year_start+t_pension_deficit-1

% urban working population grows until
g_Nw_labor_t(2:t_dyn)=Nw_labor_t(2:t_dyn)./Nw_labor_t(1:t_dyn-1)-1;
t_nourbanlaborgrowth=find(g_Nw_labor_t<0,4,'first');
year_nourbanlaborgrowth=year_start+t_nourbanlaborgrowth-1

% urban working population grows until
[max_Nw_labor_t,t_max_Nw_labor_t]=max(Nw_labor_t);
year_max_Nw_labor_t=year_start+t_max_Nw_labor_t-1
[max_N_total_t,t_max_N_total_t]=max(N_total_t);
year_max_N_total_t=year_start+t_max_N_total_t-1



%% ------------ fully funded benefits cohorts ------------
clear
load('../Pension1_BaselineScenario/data_fullyfunded')

% government debt
gov_debt_Yw_2013=gov_debt_t(1)/Yw_t(1)
gov_debt_Yw_t=gov_debt_t(1:50)./Yw_t(1:50)
[min_ev_p_coh,coh_min_ev_p]=min(ev_p_coh)
year_retire_coh_min_ev_p=year_start+(Jw-J)+coh_min_ev_p-1
mean_min_ev_p_5years=mean(ev_p_coh(coh_min_ev_p-2:coh_min_ev_p+2))


coh_win=find(ev_p_coh>0,1,'first');
year_retire_coh_win=year_start+(Jw-J)+coh_win-1
year_retire_coh_win_after=year_retire_coh_win-1
coh_pensionlessthanbm=find(ev_p_coh>0,1,'first')
year_retire_coh_pensionlessthanbm=year_start+(Jw-J)+coh_pensionlessthanbm-1


%% ------------ paygo, punish cohorts, pension compare to benchmark ------------
clear
load('../Pension1_BaselineScenario/data_paygo')
bm2=load('../Pension1_BaselineScenario/data_benchmark_2013','pension_total_t','replace_w_t','pw_sum_coh')


t_pensionlessthanbm=find(pension_total_t-bm2.pension_total_t<0,1,'first');
year_pensionlessthanbm=year_start+t_pensionlessthanbm-1

coh_lose=find(ev_p_coh<0,1,'first');
year_retire_coh_lose=year_start+(Jw-J)+coh_lose-1
year_retire_coh_lose_after=year_retire_coh_lose-1
coh_pensionlessthanbm=find(pw_sum_coh-bm2.pw_sum_coh<0,1,'first')
year_retire_coh_pensionlessthanbm=year_start+(Jw-J)+coh_pensionlessthanbm-1

tau_subsidy



%% ------------ maximized t_reform ---------------------
clear
load('../Pension1_BaselineScenario/data_loop_t_reform')
[max_ev_p_sum_rg,t_max_ev_p_sum_rg]=max(ev_p_sum_rg_t_reform);
year_max_ev_p_sum_rg=year_start+t_max_ev_p_sum_rg





%% ------------------------------------- Low Growth Senario -----------------------------------------
% ------------ delayed reform ---------------
clear
load('../Pension4_LowWageGrowth/data_delayedreform')
coh_retire_2013=1+J-Jw;
coh_retire_t_reform=1+(J-Jw)+(t_reform-1);
coh_retire_before_t_reform=coh_retire_t_reform-1;
ev_p_coh_retire_before_t_reform=ev_p_coh(coh_retire_before_t_reform)
ev_p_min_coh_retire_before_t_reform=min(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
ev_p_max_coh_retire_before_t_reform=max(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
% average welfare gain
ev_p_mean_coh_retire_before_t_reform=mean(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
ev_p_min_coh_retire_after_t_reform=min(ev_p_coh(coh_retire_t_reform:t_dyn))


% ------------ fully funded -------------
clear
load('../Pension4_LowWageGrowth/data_fullyfunded')
ev_p_min=min(ev_p_coh)
baseline=load('../Pension1_BaselineScenario/data_fullyfunded','ev_p_coh');
baseline.ev_p_min=min(baseline.ev_p_coh)


%% ------------------------------------- Slow Convergence Senario -----------------------------------------

clear
load('../Pension7_SlowConvergence/data_benchmark_2013')





%% ------------------------------------ Low Fertility Senario ----------------------------------
%% ------------ delayed reform ------------
clear
load('../Pension2_LowFertility/data_delayedreform')
coh_retire_2013=1+J-Jw;
coh_retire_t_reform=1+(J-Jw)+(t_reform-1);
coh_retire_before_t_reform=coh_retire_t_reform-1;
% ev_p_coh(coh_retire_before_t_reform)
min(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
max(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
% average welfare gain
mean(ev_p_coh(coh_retire_2013:coh_retire_before_t_reform))
min(ev_p_coh(coh_retire_t_reform:t_dyn))


%% ------------ delayed reform 2100 ------------
clear
load('../Pension2_LowFertility/data_delayedreform_2100')
min(ev_p_coh)




%% --------------------------- Financial Development -----------------------------------
% ---------------- benchmark -----------------
clear
load('../Pension6_FinancialLiberalization/data_benchmark_2013');
Baseline.GE2000=load('../Pension1_BaselineScenario/data_benchmark');
Baseline.PE2013=load('../Pension1_BaselineScenario/data_benchmark_2013');
t_2030=2030-year_start+1;
wage_jump=w_t(1)/Baseline.GE2000.w_t(13)
ratio_finlib_baseline_w_2030=w_t(t_2030)./Baseline.PE2013.w_t(t_2030)
t_w_same_finlib_basline=find(w_t<=Baseline.PE2013.w_t+1e-3,3,'first')
year_w_same_finlib_basline=year_start+t_w_same_finlib_basline-1




%% ------------- delayed reform -----------
clear
load('../Pension6_FinancialLiberalization/data_delayedreform')
coh_retire_2013=1+J-Jw;
coh_retire_t_reform=1+(J-Jw)+(t_reform-1);
coh_retire_before_t_reform=coh_retire_t_reform-1;
ev_p_coh_retire_2013=ev_p_coh(coh_retire_2013)
ev_p_coh_retire_before_t_reform=ev_p_coh(coh_retire_before_t_reform)

% min(ev_p_coh(coh_retire_2013:coh_retire_2051))
% max(ev_p_coh(coh_retire_2013:coh_retire_2051))

%% ------------ fully funded benefits cohorts ------------
clear
load('../Pension6_FinancialLiberalization/data_fullyfunded')
Baseline=load('../Pension1_BaselineScenario/data_fullyfunded')
coh_win=find(ev_p_coh>0,1,'first');
year_retire_coh_win=year_start+(Jw-J)+coh_win-1
Baseline.coh_win=find(Baseline.ev_p_coh>0,1,'first');
Baseline_year_retire_coh_win=year_start+(Jw-J)+Baseline.coh_win-1
[min_ev_p_coh,coh_min_ev_p]=min(ev_p_coh)
year_retire_coh_min_ev_p=year_start+(Jw-J)+coh_min_ev_p-1

[Baseline_min_ev_p_coh,Baseline_coh_min_ev_p]=min(Baseline.ev_p_coh)




%% ------------------------------------- Two Pillar Senario -----------------------------------------
%% ------------ delayed reform ---------------
clear
load('../Pension9_TwoTierSystem/data_delayedreform');
Baseline=load('../Pension1_BaselineScenario/data_delayedreform');
coh_retire_2013=1+J-Jw;
coh_retire_t_reform=1+(J-Jw)+(t_reform-1);
tol=1e-4;
coh_ev_p_less_than_baseline=find(ev_p_coh<=Baseline.ev_p_coh-tol,1,'first')
year_retire_coh_ev_p_less_than_baseline=year_start+(coh_ev_p_less_than_baseline-coh_retire_2013)
year_retire_t_reform=year_start+(coh_retire_t_reform-coh_retire_2013)
diff_ev_p_coh_Baseline=ev_p_coh-Baseline.ev_p_coh;





%% ------------------------ Migration ---------------------------
clear
load('../Demography2_PopulationProjection/data_NoNormalization')
t_2001=1+2001-2000;
t_2005=1+2005-2000;
mig_2001_2005=sum(mig_t_sum(2:6))
mean_mig_2001_2005=mean(mig_t_sum(2:6))
ratio_mig_rural_2001_2005=mig_2001_2005/pop_r_t_mig_sum(1)
ratio_mig_rural_t(t_2001:t_2005)=mig_t_sum(t_2001:t_2005)./pop_r_t_sum(t_2001:t_2005)
mean_ratio_mig_rural_2001_2005=mean(mig_t_sum(2:6))/mean(pop_r_t_mig_sum(2:6))


% maximum mig rate
[max_mig_rate_f,i_age_f]=max(mig_rate_f)
[max_mig_rate_m,i_age_m]=max(mig_rate_m)




%% --------------------------- Slow Migration ----------------------
clear
load('../Demography4_LowMigration/data_NoNormalization');
baseline=load('../Demography2_PopulationProjection/data_NoNormalization');
scale_mig
mig_f_t_sum=sum(mig_f_t,1);
mig_m_t_sum=sum(mig_m_t,1);
mig_t_sum=mig_f_t_sum+mig_m_t_sum;
baseline.mig_f_t_sum=sum(baseline.mig_f_t,1);
baseline.mig_m_t_sum=sum(baseline.mig_m_t,1);
baseline.mig_t_sum=baseline.mig_f_t_sum+baseline.mig_m_t_sum;
t_moremigrants=find(mig_t_sum>baseline.mig_t_sum,1)
year_moremigrants=2000+t_moremigrants-1


% urban share
t_2050=1+2050-2000;
pop_u_t_mig_sum(t_2050)/pop_t_mig_sum(t_2050)
baseline.pop_u_t_mig_sum(t_2050)/baseline.pop_t_mig_sum(t_2050)

t_2100=1+2100-2000;
pop_u_t_mig_sum(t_2100)/pop_t_mig_sum(t_2100)
baseline.pop_u_t_mig_sum(t_2100)/baseline.pop_t_mig_sum(t_2100)




%% ------------------------ Demography --------------------------
clear
load('../Demography2_PopulationProjection/data_NoNormalization')
life_expectancy_2000=life_t(1)
life_expectancy_2080=life_t(81)
fert_constant
% urban population share
% urban share
t_2011=1+2011-2000;
urban_share_2011=pop_u_t_mig_sum(t_2011)/pop_t_mig_sum(t_2011)
t_2050=1+2050-2000;
urban_share_2050=pop_u_t_mig_sum(t_2050)/pop_t_mig_sum(t_2050)
t_2100=1+2100-2000;
urban_share_2100=pop_u_t_mig_sum(t_2100)/pop_t_mig_sum(t_2100)

% dep ratio
t_2050=1+2050-2000;
dep_ratio_2050=dep_ratio_u_t_fz(t_2050)
dep_ratio_2050_nomig=dep_ratio_u_t_fz_nomig(t_2050)

% urban population 
g_pop_u_t_sum(2:t_end)=pop_u_t_sum(2:t_end)./pop_u_t_sum(1:t_end-1)-1;
t_pop_nomig_decline=find(g_pop_u_t_sum(2:t_end-1)<0,1,'first')+1; % as the first year is not counted
year_pop_nomig_decline=year_ini+t_pop_nomig_decline-1



