% calculate life expectaion from mortality rate
% ratio is the adjustment ratio, useful to achieve the target life
% expectacy


function yy=fun_life(ratio,mortality)

mortality=ratio*mortality;

Length=length(mortality);
surv=1-mortality;

surv_cumul(1)=surv(1);
for l=2:Length
    surv_cumul(l)=surv_cumul(l-1)*surv(l);
end

yy=0;
for l=1:Length
    yy=yy+surv_cumul(l);
end
