% experiment_paygo
% from 2013, switch to pay as you go

if year_start~=2000
disp('Warning: year_start~=2000');
pause;
end
%% ----------- 0 . Clear Some Variables to avoid confusion -----------
clear replace_w_ss replace_w_jt


%% ----------- 1.  find out the pension system given tax target 20% -----------
pension_debt_paygo; 



%% ------------- 4. Aggregate Variables ------------
variables_exp;


%% -------------- 5. Figures ------------------
fig_name='paygo';
name_fig_title='PAYGO Reform';
name_fig_title2='PAYGO Reform';
name_data_compare=name_data_2000;

% figures_workers;

workers_ev;
figures_workers_ev;

% compute the equivalent variation
aggregate_ev;



save data_paygo


