% initial state ff, adjustment
% in 2013, government announces fully funded reform
% issue bond and give the existing agent the promised discounted value of
% pension


%% ------------------- 1. The Promised Payment for existing cohorts ---------------------
load data_benchmark pw_t_bm

% update the cohort existing in t=1, which is 2013
t=1;
for j=1:J % j is the age in period 1
    Length=J-j+1;
    coh=J-j+1;
    pw_sum_coh_bm(coh)=0;
    for l=1:Length
        pw_sum_coh_bm(coh)=pw_sum_coh_bm(coh)+pw_t_bm(l+t_start-1)/(1+r)^(l-1); % t_start is updated in parameters_t_2013.m
    end
end

% give this promise to them as assets
% current workers get a fraction according to their working years
t=1;
for j=1:Jw-1
    coh=J-j+1;
    aw_p_t(j,1)=aw_p_t(j,1)+pw_sum_coh_bm(coh)*j/(Jw-1);
end

% retired people get all what they should get
for j=Jw:J
    coh=J-j+1;
    aw_p_t(j,1)=aw_p_t(j,1)+pw_sum_coh_bm(coh);
end


%% ------------------ 2. The Increase of Government Debt ----------------------
% gov_debt_t(1) is updatedin initialstate_2013
% paid to current workers
t=1;
for j=1:Jw-1
    coh=J-j+1;
    gov_debt_t(1)=gov_debt_t(1)+pw_sum_coh_bm(coh)*j/(Jw-1)*Nw_p_t(j,1);
end

% paid to retired workers
for j=Jw:J
    coh=J-j+1;
    gov_debt_t(1)=gov_debt_t(1)+pw_sum_coh_bm(coh)*Nw_p_t(j,1);
end
