
iter_tau_subsidy=0;
dev_tau_subsidy=1;
step=0.9;


while iter_tau_subsidy<100 && abs(dev_tau_subsidy)>1e-5
    
%     tau_subsidy=tau_subsidy;
%     tau_subsidy_t(1:t_dyn)=tau_subsidy;
    
    iter_tau_subsidy=iter_tau_subsidy+1;
   
    if iter_tau_subsidy>1
        name_data_guess=name_data_eq; % use the result from last iter_tau_subsidy
    end

    
    %% ------------------- solve the ss and the equilibrium -----------
    
    steadystate_HAE_paygo;
    
    
    initialguess_HAE;
    solve_dynamic_HAE_paygo;
    
    workers_ss_paygo; % to get h_p_ss and h_np_ss
    workers_dyn_paygo;
    
    
    H_p_t=H_p_t(1:t_dyn); H_np_t=H_np_t(1:t_dyn); p_base_t=p_base_t(1:t_dyn);
    H_p_base_t_ini=[H_p_t H_np_t p_base_t];
    update_H_p_base;
    
    
%     
    
    index_debtclear=0; % lifetime tax ~= lifetime pension
    pension_debt_paygo; % not clear, how much more tax are needed?
%     tau_subsidy_new=(gov_debt_lifetime/tax_lifetime+1)*tau_subsidy;
    tau_subsidy_new=tau_subsidy - gov_debt_lifetime/(tax_lifetime/tau_w_ss);
%     dev_tau_subsidy=abs(tax_lifetime/((1+r)*gov_debt_t(1)+pension_lifetime)-1);
    dev_tau_subsidy=abs(tau_subsidy_new-tau_subsidy);

    
    tau_subsidy=step*tau_subsidy_new+(1-step)*tau_subsidy;
    
    
    iter_tau_subsidy
    tau_subsidy
    dev_tau_subsidy
    toc
    
    save(name_data_eq,'H_p_t','H_np_t','AE_t','tau_subsidy');
end
