
% use simple wage growth to approximate the real on


%% -------------------------------- 1. Load the Wage Growth ----------------------------

load(name_data_2000,'growth_w_0013','growth_w_1331','growth_w_3140','growth_w_4050');


if year_start==2000
    
    t_wage1=t_2013;
    t_wage2=t_2031;
    t_wage3=t_2040;

    
    g_w_step_t(1:t_wage1)=growth_w_0013;
    g_w_step_t(t_wage1+1:t_wage2)=growth_w_1331;
    g_w_step_t(t_wage2+1:t_wage3)=growth_w_3140;
    g_w_step_t(t_wage3+1:t_dyn)=0;
    
    
elseif year_start==2013
    
    t_wage1=t_2031;
    t_wage2=t_2040;

    g_w_step_t(1:t_wage1)=growth_w_1331;
    g_w_step_t(t_wage1+1:t_wage2)=growth_w_3140;
    g_w_step_t(t_wage2+1:t_dyn)=0;
    
end


w_t_old=w_t; % keep the old wage sequence


%% ------------------------------ 2. Approximate the Wage Growth -----------------------------

% the new wage sequence
for t=2:t_dyn
    w_t(t)=w_t(t-1)*(1+g_w_step_t(t));
end


