% experiment_paygo
% from 2013, switch to pay as you go

if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end
%% ----------- 0 . Clear Some Variables to avoid confusion -----------
clear replace_w_ss replace_w_jt


%% ----------- 1.  find out the pension system given tax target 20% -----------
pension_debt_paygo; 


%% ------------- 2. Aggregate Variables ------------
variables_exp;


%% -------------- 3. Figures ------------------
fig_name='paygo';
name_fig_title='PAYGO Reform';
name_fig_title2='PAYGO Reform';
name_data_compare='data_benchmark_2013.mat';


workers_ev;
figures_workers_ev;

% compute the equivalent variation
aggregate_ev;

figures_pension_paygo;






save data_paygo


