% since government merge their asset into pension system from the beginning
% we draw graph of -Ag instead of -Ag_pen or gov_debt

name_data_compare='data_paygo';
paygo=load(name_data_compare,'pw_sum_coh','ev_p_coh');
dr=load('data_delayedreform','pw_sum_coh','ev_p_coh');
ff=load('data_fullyfunded','pw_sum_coh','ev_p_coh');

for t_fig=[111]


figure

subplot(3,1,1)
coh_fig=151;

x_fig=year_start-(J-Jw):year_start-(J-Jw)+coh_fig-1;
%     x_fig=year_start-(J-Jw):year_start-(J-Jw)+coh_fig-1;
plot(x_fig,[pw_sum_coh(1:coh_fig)],'LineWidth',2)
%     plot(x_fig,[ replace_w_coh(1:coh_fig)],'LineWidth',2)
hold on
%     plot(x_fig,[ bm2.replace_w_coh(1:coh_fig)],'-.','LineWidth',2)
plot(x_fig,[paygo.pw_sum_coh(1:coh_fig)],'-.','LineWidth',2)
hold off
axis('tight');
xlabel('Year of Retirement')
title(['Panel b: Lifetime Pension by Cohorts: Constrained Ramsey v.s. PAYGO'])

subplot(3,1,2)
plot(x_fig,[ev_p_coh(1:coh_fig)],'LineWidth',2)
%     plot(x_fig,[ replace_w_coh(1:coh_fig)],'LineWidth',2)
hold on
%     plot(x_fig,[ bm2.replace_w_coh(1:coh_fig)],'-.','LineWidth',2)
plot(x_fig,[paygo.ev_p_coh(1:coh_fig)],'-.','LineWidth',2)
hold off
axis('tight');
xlabel('Year of Retirement')
title(['Panel a: Welfare Gain by Cohorts: Constrained Ramsey v.s. PAYGO'])

subplot(3,1,3)
plot(x_fig,[tau_w_coh(1:coh_fig)],'LineWidth',2)
xlabel('Year of Retirement')
title(['Panel c: Tax Rate by Cohorts'])
axis('tight')

print('-dpng','-r300',['pension_' fig_name  '.png'])
print('-depsc2',['pension_' fig_name '.eps'])

end 



% 
% figure
% year_fig_start=year_start+(Jw-J);
% t_fig=1+2115-year_fig_start;
% coh_fig_start=1+(J-Jw)+(year_fig_start-year_start);
% x_fig=year_fig_start:year_fig_start+t_fig-1;
% y1_fig=(ev_p_coh(coh_fig_start:coh_fig_start+t_fig-1)-1)*100;
% y2_fig=(dr.ev_p_coh(coh_fig_start:coh_fig_start+t_fig-1)-1)*100;
% y3_fig=(ff.ev_p_coh(coh_fig_start:coh_fig_start+t_fig-1)-1)*100;
% y4_fig=(paygo.ev_p_coh(coh_fig_start:coh_fig_start+t_fig-1)-1)*100;
% 
% plot(x_fig,y1_fig,'LineWidth',2)
% %     plot(x_fig,[ replace_w_coh(1:coh_fig)],'LineWidth',2)
% hold on
% %     plot(x_fig,[ bm2.replace_w_coh(1:coh_fig)],'-.','LineWidth',2)
% plot(x_fig,y2_fig,'-.','LineWidth',2,'color','r')
% hold on
% plot(x_fig,y3_fig,':','LineWidth',2,'color','k')
% hold on
% plot(x_fig,y4_fig,'-.','LineWidth',2,'color','magenta')
% hold off
% axis([x_fig(1) x_fig(length(x_fig)) -20 120]);
% x_text=2020;
% i_x_text=x_text-x_fig(1)+1;
% y1_text=y1_fig(i_x_text)-5;
% y2_text=y2_fig(i_x_text);
% y3_text=y3_fig(i_x_text);
% y4_text=y4_fig(i_x_text);
% text(x_text,y1_text,'Ramsey', 'VerticalAlignment','top');
% text(x_text,y2_text,'Delayed','VerticalAlignment','top');
% text(x_text,y3_text,'Fully funded','VerticalAlignment','bottom');
% text(x_text,y4_text,'PayGo','VerticalAlignment','bottom');
% grid on
% 
% 
% xlabel('Year of Retirement')
% ylabel(['Welfare Gain \omega (in Percent)'])
% title('Welfare Gain (Equiv. Variation) by Year of Retirement')
% print('-dpng','-r300',['welfare_compare_grid_' fig_name  '.png'])
% print('-depsc2',['welfare_compare_grid_' fig_name '.eps'])