% since government merge their asset into pension system from the beginning
% we draw graph of -Ag instead of -Ag_pen or gov_debt


for t_fig=[111]


figure

    load(name_data_2000,'replace_w_coh_bm');
    bm2=load(name_data_compare,'replace_w_coh');
    year_start_bm=2000;
    dif_year=year_start-year_start_bm;
    x_fig=year_start_bm-(J-Jw):year_start_bm-(J-Jw)+coh_fig-1;
%     x_fig=year_start-(J-Jw):year_start-(J-Jw)+coh_fig-1;
    plot(x_fig,[replace_w_coh_bm(1:dif_year) replace_w_coh(1:coh_fig-dif_year)],'LineWidth',2)
%     plot(x_fig,[ replace_w_coh(1:coh_fig)],'LineWidth',2)
    hold on
%     plot(x_fig,[ bm2.replace_w_coh(1:coh_fig)],'-.','LineWidth',2)
    plot(x_fig,[replace_w_coh_bm(1:dif_year) bm2.replace_w_coh(1:coh_fig-dif_year)],'-.','LineWidth',2)
    hold off
%     axis([x_fig(1) x_fig(coh_fig) 0.2 0.8]);
    axis('tight');
    if strcmp(fig_name,'fullyfunded')==1 || strcmp(fig_name,'fullyfunded_ruralpension')==1;
        axis([x_fig(1) x_fig(coh_fig) 0 0.8]);
    end
xlabel('Time')
title(['Panel a: Replacement Rate by Year of Retirement'])
temp=[x_fig;replace_w_coh(1:coh_fig)]; % 1997 and 2013


print('-dpng','-r300',['replacement_rate_' fig_name  '.png'])
print('-depsc2',['replacement_rate_' fig_name '.eps'])

%% -------------------- transfer and p_base --------------------


figure
    
t_fig=25;
    x_fig=year_start_bm:year_start_bm+t_fig-1;
    bm=load('data_benchmark','p_base_t')
%     x_fig=year_start-(J-Jw):year_start-(J-Jw)+coh_fig-1;
    plot(x_fig,[bm.p_base_t(1:dif_year), p_base_t(1:t_fig-dif_year)],'LineWidth',2)
    axis('tight');
xlabel('Time')
title(['Panel b: Pension Base by Year'])



print('-dpng','-r300',['pensionbase_' fig_name  '.png'])
print('-depsc2',['pensionbase_' fig_name '.eps'])
end 
