% Initial Settings for Solving the Dynamics 


% initial guess of the solutions

if index_guess==1 % if we have to guess
H_p_t_ini=H_p_ss*ones(1,t_dyn);
H_np_t_ini=H_np_ss*ones(1,t_dyn);
AE_t_ini=AE_ss*ones(1,t_dyn);
H_AE_t_ini=[H_p_t_ini, H_np_t_ini, AE_t_ini];
else % load from the data
load(name_data_guess,'H_p_t','H_np_t','AE_t');
H_AE_t_ini=[H_p_t(1:t_dyn), H_np_t(1:t_dyn), AE_t(1:t_dyn)];
H_AE_t_ini=real(H_AE_t_ini);
end
