% the initial guess for Hr_t is given in parameters_rural

iter_Hr=0;
dev_Hr=1;
step_Hr=0.5;

while iter_Hr<100 & abs(dev_Hr)>1e-4
    
    Hr_t_old=Hr_t;
    
    solve_dynamic_rural; % given Hr_t, we can solve the rural model
    initialstate_rural; % initial state in rural, e.g., rural worker initial asset in 2000
    variables_eq_rural; % solve for the rural workers' problems and get  all equilibrium variables 
    
    % iterate on Hr until it converges
    iter_Hr=iter_Hr+1;
    dev_Hr=norm(Hr_t-Hr_t_old)/norm(Hr_t_old);
    
    Hr_t=step_Hr*Hr_t+(1-step_Hr)*Hr_t_old;
    
    iter_Hr
    dev_Hr
    
    
    
end



