
bm2=load(name_data_compare,'uw_p_sum_coh', 'uw_np_sum_coh', 'cw_p_coh', 'h_p_coh', 'cw_np_coh', 'h_np_coh');


%% ------------------ 1. Worker with Pension -----------------

t=1;
for j=1:J % j is the age in period 1
    coh=J-j+1;
    Length=J;
%     for l=1:Length
%         Surv(l)=lam_pre_jt(l,coh+l-1);
%     end
    Surv(1:Length)=lam_jcoh(1:Length,coh);
    fun_ev_ratio=@(ratio) fun_ev(ratio,uw_p_sum_coh(coh),bm2.cw_p_coh(1:Length,coh)',bm2.h_p_coh(1:Length,coh)',Surv,bet_w_coh(coh));
    options=optimset('Display','off');
    ev_p_coh(coh)=fsolve(fun_ev_ratio,1,options)-1;
end




% those born in period t>1
for t=2:t_dyn
    coh=J+t-1;
    Length=J;
%     Surv(1)=1;
%     for l=2:Length
%         Surv(l)=lam_jt(l,t+l-1);
%     end    
    Surv(1:Length)=lam_jcoh(1:Length,coh);
    fun_ev_ratio=@(ratio) fun_ev(ratio,uw_p_sum_coh(coh),bm2.cw_p_coh(1:Length,coh)',bm2.h_p_coh(1:Length,coh)',Surv,bet_w_coh(coh));
    ev_p_coh(coh)=fsolve(fun_ev_ratio,1,options)-1;
end



%% ---------------  2. Worker without Pension -----------------

t=1;
for j=1:J % j is the age in period 1
    coh=J-j+1;
    Length=J;
%     for l=1:Length
%         Surv(l)=lam_pre_jt(l,coh+l-1);
%     end
    Surv(1:Length)=lam_jcoh(1:Length,coh);
    if bm2.uw_np_sum_coh(coh)~=-Inf
        fun_ev_ratio=@(ratio) fun_ev(ratio,uw_np_sum_coh(coh),bm2.cw_np_coh(1:Length,coh)',bm2.h_np_coh(1:Length,coh)',Surv,bet_w_coh(coh));
        ev_np_coh(coh)=fsolve(fun_ev_ratio,1,options)-1;
    else
        ev_np_coh(coh)=1-1;
    end
    
end

% those born in period t>1
for t=2:t_dyn
    coh=J+t-1;
    Length=J;
%     Surv(1)=1;
%     for l=2:Length
%         Surv(l)=lam_jt(l,t+l-1);
%     end    
    Surv(1:Length)=lam_jcoh(1:Length,coh);
    fun_ev_ratio=@(ratio) fun_ev(ratio,uw_np_sum_coh(coh),bm2.cw_np_coh(1:Length,coh)',bm2.h_np_coh(1:Length,coh)',Surv,bet_w_coh(coh));
    ev_np_coh(coh)=fsolve(fun_ev_ratio,1,options)-1;
end



