
iter_replace_w_coh3=0;
dev_replace_w_coh3=1;
step=0.9;



while iter_replace_w_coh3<100 && abs(dev_replace_w_coh3)>1e-4
    iter_replace_w_coh3=iter_replace_w_coh3+1;
   
    if iter_replace_w_coh3>1
        name_data_guess=name_data_eq; % use the result from last iter_replace_w_coh3
    end

    
    %% ------------------- Steady State and Workers' Problems-----------
    module_replace_w_coh; % replace_w_coh
    module_replace_w_coh2jt; % replace_w_jt
  
    steadystate_pe;
    workers_ss;
    workers_dyn; 
    
    H_p_base_t_ini=[H_p_t H_np_t p_base_t];
    update_H_p_base;
           
    
    index_debtclear=0; % lifetime tax ~= lifetime pension
    pension_debt_coh_r006; % pension payments and tax with interest rate 0.06 before 2050

    replace_w_coh3_new=(-gov_debt_lifetime/tax_lifetime+1)*replace_w_coh3;
    dev_replace_w_coh3=gov_debt_lifetime/tax_lifetime;
    replace_w_coh3=replace_w_coh3_new;

    iter_replace_w_coh3
    replace_w_coh3
    dev_replace_w_coh3
    toc
    
    save(name_data_eq,'H_p_t','H_np_t','p_base_t','replace_w_coh3');
end
