% initial state in 2000


%% ---------------- 1. Initial Wealth -------------

t_pre_w_start=year_pre_w_start-year_pre_start+1;


weight_yw_labor_t_pre_w_start(1:Jw-1)=Nw_p_t(1:Jw-1,1)/sum(Nw_t(1:Jw-1,1));
weight_yw_labor_t_pre_w_start(Jw:Jw+Jw-1-1)=Nw_np_t(1:Jw-1,1)/sum(Nw_t(1:Jw-1,1));
yw_labor_t_pre_w_start(1:Jw-1)=yw_p_pre_t(1:Jw-1,t_pre_w_start);
yw_labor_t_pre_w_start(Jw:Jw+Jw-1-1)=yw_np_pre_t(1:Jw-1,t_pre_w_start);
med_yw_labor_t_pre_w_start=weightedMedian(yw_labor_t_pre_w_start,weight_yw_labor_t_pre_w_start);


aw_t_pre_w_start(1:t_pre_w_start)=aw_med_yw_t_pre_w_start(1:t_pre_w_start)*med_yw_labor_t_pre_w_start;

% year_pre_e_start=year_pre_w_start; % for entrepreneurs, same year, 1995
t_pre_e_start=year_pre_e_start-year_pre_start+1;

if index_pre~=0;
    pre_transition_growth_SSgrowth; % assume e asset in t_pre_e_start, w asset in t_pre_w_start
    aw_p_t(1:J,1)=aw_p_pre_t(1:J,T_pre+1);
    aw_np_t(1:J,1)=aw_np_pre_t(1:J,T_pre+1);
    ae_t(1:J,1)=ae_pre_t(1:J,T_pre+1);
else
    aw_p_t(1:J,1)=ones(J,1);
    aw_np_t(1:J,1)=ones(J,1);
    ae_t(1:J,1)=ones(J,1);
end


ratio_ae_ini=1;
ae_t(1:J,1)=ratio_ae_ini*ae_t(1:J,1);
AE_t(1)=ae_t(Je:J,1)'*Ne_t(Je:J,1); 

ratio_aw_ini=1; % use this number instead of 47.8464/AE_t(1) to avoid negative ratio
if index_pre==0
    ratio_aw_ini=100;
end

aw_p_t(1:J,1)=ratio_aw_ini*aw_p_t(1:J,1);
aw_np_t(1:J,1)=ratio_aw_ini*aw_np_t(1:J,1);
Aw_t(1)=aw_p_t(1:J,1)'*Nw_p_t(1:J,1)+aw_np_t(1:J,1)'*Nw_np_t(1:J,1);



%% ------------- 2. Initial Government Debt -----------------

gov_debt_t(1)=-0;
