% loop to get the right aw
% we still name the variable as ae, similar to the baseline scenario
% it is in fact aw


initialstate_2000; % read from data_benchmark


iter_ae1=0;
dev_ae1=1;

while iter_ae1<100 && abs(dev_ae1)>tol_ae1
    iter_ae1=iter_ae1+1;

    ae1=[aw_p_t(:,1)' aw_np_t(:,1)'];
    
    load(name_data_guess,'replace_w_coh3'); % initial
    
    solve_replace_w_coh3_update_pe;
    disp('Dynamic computation finished')
    toc

    variables_eq;
    variables_eq_ur_noupdateAg;


    % save(name_data_exp); % for initialstate_2000 to load
   
    % new initial wealth
    initialstate_2000;


    ae1_new=[aw_p_t(:,1)' aw_np_t(:,1)'];
    
    dev_ae1=norm(ae1_new-ae1)/norm(ae1);
    
    iter_ae1
    dev_ae1


    toc
    
    
    save(name_data_eq,'H_p_t','H_np_t','p_base_t','replace_w_coh3','aw_p_t','aw_np_t');
    
end
