
iter_replace_w_coh3=0;
dev_replace_w_coh3=1;
step=0.9;

if strcmp(name_exp,'loop_t_reform2')==1
    replace_w_coh3_min=-1.5;
    replace_w_coh3_max=0.4;
    replace_w_coh3_min=(replace_w_coh3_min+replace_w_coh3_max)/2;
end
    


while iter_replace_w_coh3<100 && abs(dev_replace_w_coh3)>tol_replace_w_coh3
    iter_replace_w_coh3=iter_replace_w_coh3+1;
   
    if iter_replace_w_coh3>1
        name_data_guess=name_data_eq; % use the result from last iter_replace_w_coh3
    end

    
    %% ------------------- Steady State and Workers' Problems-----------
    module_replace_w_coh; % replace_w_coh
    module_replace_w_coh2jt; % replace_w_jt
  
    % no need to solve the equilibrium, because we take w as given
    % but need to update H and p
%     steadystate;
%     initialguess;
%     solve_dynamic;
    steadystate_pe;

    workers_ss;
    workers_dyn; % no need to resolve the equilibrium anymore
    
%     load(name_data_guess,'H_p_t','H_np_t','p_base_t');
    H_p_base_t_ini=[H_p_t H_np_t p_base_t(1:t_dyn)];
    update_H_p_base;
      
%     
    
    index_debtclear=0; % lifetime tax ~= lifetime pension
    pension_debt_coh; % not clear, how much less pension are needed?
%     replace_w_coh3_new=(-gov_debt_lifetime/(tax_lifetime/tau_w_t(1))+1)*replace_w_coh3;
    % make the step larger
    replace_w_coh3_new=(-gov_debt_lifetime/tax_lifetime+1)*replace_w_coh3;
%     dev_replace_w_coh3=abs(tax_lifetime/((1+r)*gov_debt_t(1)+pension_lifetime)-1);
    dev_replace_w_coh3=gov_debt_lifetime/tax_lifetime;

    
    replace_w_coh3=step*replace_w_coh3_new+(1-step)*replace_w_coh3;
    
    if strcmp(name_exp,'loop_t_reform2')==1
        if dev_replace_w_coh3>0
                % replacement too high
                replace_w_coh3_max=replace_w_coh3;
        else
                replace_w_coh3_min=replace_w_coh3;
        end
        replace_w_coh3=(replace_w_coh3_min+replace_w_coh3_max)/2;
    end
    
    
    iter_replace_w_coh3
    replace_w_coh3
    dev_replace_w_coh3
    toc
    
    
    save(name_data_eq,'H_p_t','H_np_t','p_base_t','replace_w_coh3','aw_p_t','aw_np_t');
end
