% update Ag
if year_start==2000
    % calibrate to 12% GDP foreign surplus in 2000
    Ag_pen_t(1)=-gov_debt_t(1);
    Ag_extra_netKg_t(1)=BYur_target_t(1)*Yur_t(1)-Bp_t(1)-Ag_pen_t(1); % no Kg because government capital is just "useless" bridges
    % directly load, no calibration
    % ini=load(name_data_ini,'Ag_extra_netKg_t','gov_debt_t');
%     Ag_pen_t(1)=-ini.gov_debt_t(1);
%     Ag_extra_netKg_t(1)=ini.Ag_extra_netKg_t(1);
else
    % already load from name_data_2000
end

if t_transfer~=99 % otherwise no need to update
%     Ag_transfer=(Ag_extra_netKg_t(t_transfer-1)+Sg_extra_t(t_transfer-1)-Ig_t(t_transfer-1))/(1+g); % potential transfer that we can make
    Ag_transfer=0.01*Yur_t(1)*((1+r)/(1+g))^(t_transfer-1);
    Ag_transfer_real=0.01*Yur_t(1)*((1+r)/(1+g))^(t_transfer-1);
end