% rural model is simple,
% Kr and wr are pinned down by the parameters and rl
% notice tau_gr
% Hr is fixed because of fixed labor


%% ---------------------- 1. Firm's problem -----------------------

% Hr_t is calculated in parameters_rural;
for t=1:t_dyn
    Kr_t(t)=(alp_r/(rl_t(t)+dep))^(1/(1-alp_r)) * (1-tau_gr)^(1/(1-alp_r))*Z_t(t)*chi_r * Hr_t(t);
    wr_t(t)=(1-alp_r) * (alp_r/(rl_t(t)+dep))^(alp_r/(1-alp_r)) * (1-tau_gr)^(1/(1-alp_r))*Z_t(t)*chi_r;
    Yr_t(t)=Kr_t(t)^alp_r * ((1-tau_gr)^(1/(1-alp_r))*Z_t(t)*chi_r*Hr_t(t))^(1-alp_r) / (1-tau_gr);
    Ywr_t(t)=wr_t(t)*Hr_t(t);
end
for t=1:t_dyn-1
    Ir_t(t)=(1+g)*Kr_t(t+1) - (1-dep)*Kr_t(t);
end

yr_t(1:t_dyn)=Yr_t(1:t_dyn)./pop_r_total_t(1:t_dyn);

Kr_ss=Kr_t(t_dyn);



