


if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end



%% ----------- 1.  Pension System -----------
index_debtclear=0; % lifetime tax = lifetime pension
pension_debt_coh; % keep the current system, rep_w=0.6, tau_w=0.2




fig_name='delayedreform';
name_data_compare='data_benchmark_2013.mat';
name_fig_title=['Delayed Reform'];
name_fig_title2=['Delayed Reform'];

% compare the lifetime utility, so use data_delayedreform instead of data_delayedreform_2013
workers_ev;
figures_workers_ev;
% 
% % compute the equivalent variation
aggregate_ev;


%% ------------- 4. Aggregate Variables ----------------
variables_exp;
name_data_exp='data_delayedreform.mat';
% save(name_data_exp);
figures_pension_coh;

%% ------------ 5. Save Variables For Later Use -------------


gov_debt_t_dr=gov_debt_t;
replace_w_jt_dr=replace_w_jt;

cw_p_t_dr=cw_p_t;
aw_p_t_dr=aw_p_t;
cw_p_coh_dr=cw_p_coh;        
h_p_coh_dr=h_p_coh;
uw_p_coh_dr=uw_p_coh;
uw_p_sum_coh_dr=uw_p_sum_coh;

cw_np_t_dr=cw_np_t;
aw_np_t_dr=aw_np_t;
cw_np_coh_dr=cw_np_coh;        
h_np_coh_dr=h_np_coh;
uw_np_coh_dr=uw_np_coh;
uw_np_sum_coh_dr=uw_np_sum_coh;

cwr_t_dr=cwr_t;
awr_t_dr=awr_t;
cwr_coh_dr=cwr_coh;
hr_coh_dr=hr_coh;
uwr_coh_dr=uwr_coh;
uwr_sum_coh_dr=uwr_sum_coh;







Nw_p_t_dr=Nw_p_t;
Nw_np_t_dr=Nw_np_t;
Nr_t_dr=Nr_t;

pw_jt_dr=pw_jt;
p_base_jt_dr=p_base_jt;
p_base_t_dr=p_base_t;
p_base_pre_t_dr=p_base_pre_t;
H_p_t_dr=H_p_t; % to compare with fullyfunded

% rural
% for rural's problem
Kr_t_dr=Kr_t;
Yr_t_dr=Yr_t;



save(name_data_exp);
