


if year_start~=2013
disp('Warning: year_start~=2013');
pause;
end


%% ----------- 0. pension ----------------
t_reform=2013-year_start+1; % year_start is defined in parameters_t_xxxx.m
t_pencoh1=1997-year_start+1; % those retire(!!!) before 1997 get 78%
t_pencoh2=t_reform; % those enter before 2013 get 60%
% replace_w_coh1=0.78;
replace_w_coh1=replace_w_ini;
replace_w_coh2=0.6;
% replace_w_coh3=xxx?; % this needs to be calculated

% previously, we set "entering" in 1997, and "entering" in 2013 as cut line
% for cohort specific replacement rate
index1=2; % 1 for "entering", 2 for "retiring"
index2=2; % 1 for "entering", 2 for "retiring"
module_replace_w_coh;


%% ----------- 1.  Pension System -----------
index_debtclear=1; % lifetime tax = lifetime pension

pension_debt_coh; % keep the current system, rep_w=0.6, tau_w=0.2


%% -------------- 2. Workers' Problem in Steady State ----------------
workers_ss;


%% ------------- 3. Workers' Problem in the Dynamic ---------------
workers_dyn;

%% ------------- 4. Aggregate Variables ------------
variables_exp;

%% -------------- 5. Figures ------------------
fig_name='retirementextension66';
name_data_compare='data_benchmark_2013.mat';
name_fig_title=['retirement extension 66'];
name_fig_title2=['retirement extension 66'];
figures_pension_coh_retirementextension;
% figures_workers;

workers_ev;
figures_workers_ev;

% compute the equivalent variation
aggregate_ev;





% for growth
Y_t_re=Y_t;
Yur_t_re=Yur_t;
yur_t_re=yur_t;
yur_pw_t_re=yur_pw_t;
B_t_re=B_t;

% for pension graph
tax_total_t_re=tax_total_t;
pension_total_t_re=pension_total_t;
gov_debt_t_re=gov_debt_t;
replace_w_coh_re=replace_w_coh;

save data_retirementextension66
