 



clear;
clear global;
close all;
tic

%% ----------------- 0. Setup, Load Equilibrium ---------------------------------

global_claim;  % global variables

% name_data_2000='..\Pension34.1_1992_ConstantBeta_111103\data_benchmark.mat';
name_data_2013='..\Pension44.1_KPR_Rural_GE2000_PE2013_120523\data_benchmark_2013.mat';

%  load the equilibrium from baseline scenario benchmark 2013
load(name_data_2013); 

name_exp='benchmark';
name_data_exp='data_benchmark.mat';




index_fixedlabor=0; 
index_gtext=0;



% set the parameters (e.g. population, death rate) if the economy starts from 2000
name_data_2000='..\Pension34.1_1992_ConstantBeta_111103\data_benchmark.mat';




% parameters_kpr;
phi=0.5; %  Frisch elasticity
nu=1;

load('data_benchmark_2013','replace_w_ss');

%% ---------------- 0. try different prod_kpr ---------------

% h_data=9/24;
bm34=load(name_data_2000,'H_ss','prod_jss');
prod_kpr=1;
iter_prod_kpr=0;
dev_prod_kpr=1;
while iter_prod_kpr<100 && abs(dev_prod_kpr)>1e-6
    
    iter_prod_kpr=iter_prod_kpr+1;
	prod_jss=prod_kpr*bm34.prod_jss;
    
    steadystate;
    dev_prod_kpr=H_ss-bm34.H_ss;
    prod_kpr_new=(1-(H_ss-bm34.H_ss)/H_ss)*prod_kpr;
    prod_kpr=prod_kpr_new;
    
    
    iter_prod_kpr
    prod_kpr
    dev_prod_kpr
end

save data_prod_kpr prod_kpr
