clear;
clear global;
close all;
tic

%% ----------------- 0. Setup, Load Equilibrium ---------------------------------

global_claim;  % global variables

% name_data_2000='..\Pension34.1_1992_ConstantBeta_111103\data_benchmark.mat';
name_data_2013='data_benchmark_2013.mat';
% load variables from benchmark 2013
load(name_data_2013); 

name_exp='loop_t_reform2';
% name_data_exp='data_loop_t_reform.mat';




index_fixedlabor=0; 
index_gtext=0;


%% ---------------- 1. Choose different t_reform ---------------------

index_guess=0;
name_data_eq='data_eq_loop_t_reform2.mat';
name_data_exp='data_loop_t_reform2.mat';
name_data_guess=name_data_eq;
% name_data_guess=name_data_2013;
name_data_load=name_data_eq;


% grid_reform=[2400:50:2550];
% grid_reform=[2382:2:2400];
% grid_reform=[2460:10:2500];
% grid_reform=[2475 2484 2487];
grid_reform=[2475 2480 2484 2487];
n_reform=length(grid_reform);
for i_reform=1:n_reform


%% ---------------- 1.2 Solve for Long-run Replacement Rate ----------------

% year_reform=2013; % test
year_reform=grid_reform(i_reform);
t_reform=year_reform-year_start+1; % year_start is defined in parameters_t_xxxx.m



load(name_data_load,'H_p_t','H_np_t','p_base_t','replace_w_coh3');


% replace_w_coh3=-0.75;

tol_setting_fast;

solve_replace_w_coh3_update_pe;


disp('Dynamic computation finished')
toc

% save(name_data_eq,'H_p_t','H_np_t','p_base_t','replace_w_coh3');

% compute other variables in the equilibrium, draw figures, save data
% variables_eq;
% variables_eq_ur;



% 



%% ----------------- 4. Pension Reform Experiment Outcomes ------------------------



% 
% 


experiment_loop_t_reform;     % current system
disp('Experiment_delayedreform finished')
toc


end

save(name_data_exp)
% 
% load
% figures_workers_ev_t_reform;
% 
% [max_ev_p_sum_rg,max_t_reform_rg]=max(ev_p_sum_rg_t_reform);
% display('max ev and max year with rg (low discount):')
% max_ev_p_sum_rg
% 2013+max_t_reform_rg-1
