% adjust the wage sequence

% wage increases slowly to the steady state level in the basline scenario
w_increase=w_t(t_dyn)/w_t(1);
baseline.w_t=w_t;
baseline.growth_w_t=growth_w_t;
w_t_baseline=baseline.w_t;

% growth_w_slow=0.02;
growth_w_slow=0.01846; % to make growth_ave_yw_netprod_t=0.02
% growth_w_slow=0.02; 
t_end_w_slow=ceil(1+log(w_increase)/log(1+growth_w_slow));

w_t(1)=baseline.w_t(1); 
growth_w_t(2:t_end_w_slow)=growth_w_slow;

for t=2:t_end_w_slow-1
    w_t(t)=w_t(t-1)*(1+growth_w_t(t));
end

w_t(t_end_w_slow:t_end)=baseline.w_t(t_end_w_slow);


