% since government merge their asset into pension system from the beginning
% we draw graph of -Ag instead of -Ag_pen or gov_debt
dif_coh=Jw-Jw_bm;

for t_fig=[111]


figure

subplot(3,1,1)
coh_fig=151;
if year_start==2000
    x_fig=year_start-(J-Jw_bm):year_start-(J-Jw_bm)+coh_fig-1;
    plot(x_fig,replace_w_coh(1:coh_fig),'LineWidth',1.5)
    axis([x_fig(1) x_fig(coh_fig) 0.2 0.8]);
elseif year_start==2013
    load(name_data_2000,'replace_w_coh_bm');
    year_start_bm=2000;
    dif_year=year_start-year_start_bm;
    x_fig=year_start_bm-(J-Jw_bm):year_start_bm-(J-Jw_bm)+coh_fig-1;
        
    plot(x_fig,replace_w_coh_bm(1:coh_fig),'-.','LineWidth',1.5)
    hold on
    plot(x_fig,[replace_w_coh_bm(1:dif_year+dif_coh) replace_w_coh(1:coh_fig-dif_year-dif_coh)],'LineWidth',1.5)
    hold off
    axis([x_fig(1) x_fig(coh_fig) 0.2 0.8]);
    % axis('tight');
    if strcmp(fig_name,'fullyfunded')==1 || strcmp(fig_name,'fullyfunded_ruralpension')==1;
        axis([x_fig(1) x_fig(coh_fig) 0 0.8]);
    end
end
xlabel('year')
title(['Panel a: Replacement rate by year of retirement'])
temp=[x_fig;replace_w_coh(1:coh_fig)]; % 1997 and 2013

subplot(3,1,2)
if year_start==2000
    x_fig=year_start:year_start+t_fig-1;
%     plot(x_fig,tax_total_t(1:t_fig)./Y_t(1:t_fig),'LineWidth',1.5)
%     plot(x_fig,tax_total_t(1:t_fig)./Yur_t(1:t_fig),'LineWidth',1.5)
    plot(x_fig,tax_total_t(1:t_fig)./Yw_t(1:t_fig),'LineWidth',1.5)
    hold on 
%     plot(x_fig,pension_total_t(1:t_fig)./Y_t(1:t_fig),'color','g','LineWidth',1.5)
%     plot(x_fig,pension_total_t(1:t_fig)./Yur_t(1:t_fig),'color','g','LineWidth',1.5)
    plot(x_fig,pension_total_t(1:t_fig)./Yw_t(1:t_fig),'color','g','LineWidth',1.5)
    hold off
elseif year_start==2013
    load(name_data_2000,'tax_total_t_bm','Yw_t_bm','pension_total_t_bm');
    
    
    x_fig=year_start_bm:year_start_bm+t_fig-1;
    plot(x_fig,[tax_total_t_bm(1:dif_year)./Yw_t_bm(1:dif_year) tax_total_t(1:t_fig-dif_year)./Yw_t(1:t_fig-dif_year)],'LineWidth',1.5)
    hold on
%     plot(x_fig,tax_total_t_bm(1:t_fig)./Yw_t_bm(1:t_fig),'-.','LineWidth',1.5)
%     hold on
    plot(x_fig,[pension_total_t_bm(1:dif_year)./Yw_t_bm(1:dif_year) pension_total_t(1:t_fig-dif_year)./Yw_t(1:t_fig-dif_year)],'color','g','LineWidth',1.5)
    hold on
    plot(x_fig,pension_total_t_bm(1:t_fig)./Yw_t_bm(1:t_fig),'-.','color','g','LineWidth',1.5)
    hold off
end
hold off
% axis( 'auto y')
% axis([year_start year_start+t_fig-1 0.1 1]);
axis('tight');
xlabel('year')
% title('Tax Revenue / Urban GDP and Pension Payments / Urban GDP')
gtext('Tax revenue')
gtext('Expenditures, benchmark')
gtext(['Expenditures, ' name_fig_title2])
title('Panel b: Tax revenue and pension expenditures as shares of urban earnings')


subplot(3,1,3)
if year_start==2000
    x_fig=year_start:year_start+t_fig-1;
%     plot(x_fig,gov_debt_t(1:t_fig)./Y_t(1:t_fig),'LineWidth',1.5)
%     plot(x_fig,-Ag_t(1:t_fig)./Yur_t(1:t_fig),'LineWidth',1.5)
    plot(x_fig,-Ag_t(1:t_fig)./Yw_t(1:t_fig),'LineWidth',1.5)
elseif year_start==2013
    load(name_data_2000,'Ag_t_bm');
    x_fig=year_start_bm:year_start_bm+t_fig-1;
%     plot(x_fig,[gov_debt_t_bm(1:dif_year)./Y_t_bm(1:dif_year) gov_debt_t(1:t_fig-dif_year)./Y_t(1:t_fig-dif_year)],'LineWidth',1.5)
%     plot(x_fig,[-Ag_t_bm(1:dif_year)./Yur_t_bm(1:dif_year) -Ag_t(1:t_fig-dif_year)./Yur_t(1:t_fig-dif_year)],'LineWidth',1.5)
    plot(x_fig,[-Ag_t_bm(1:dif_year)./Yw_t_bm(1:dif_year) -Ag_t(1:t_fig-dif_year)./Yw_t(1:t_fig-dif_year)],'LineWidth',1.5)
    hold on
    plot(x_fig,-Ag_t_bm(1:t_fig)./Yw_t_bm(1:t_fig),'-.','LineWidth',1.5)
    hold off
end
% axis( 'auto y')
% axis([year_start year_start+t_fig-1])
axis('tight');
xlabel('year')
title('Panel c: Government debt as a share of urban earnings')
gtext('Benchmark')
gtext(initialcaps(name_fig_title2))
if year_start==2000
%     print('-dpng','-r300',['pension_' fig_name '_' num2str(year_start+t_fig-1)  '.png'])
%     print('-depsc2',['pension_' fig_name '_' num2str(year_start+t_fig-1) '.eps'])
    print('-dpng','-r300',['pension_' fig_name '.png'])
    print('-depsc2',['pension_' fig_name '.eps'])
elseif year_start==2013
%     print('-dpng','-r300',['pension_' fig_name '_' num2str(year_start-dif_year+t_fig-1)  '.png'])
%     print('-depsc2',['pension_' fig_name '_' num2str(year_start-dif_year+t_fig-1) '.eps'])
    print('-dpng','-r300',['pension_' fig_name  '.png'])
    print('-depsc2',['pension_' fig_name '.eps'])
end

end 
