% draw figures of the solutions

close all
load data_fullyfunded 
load data_benchmark uw_np_sum_coh_bm uw_p_sum_coh_bm cw_p_t_bm cw_np_t_bm aw_p_t_bm aw_np_t_bm cw_p_coh_bm h_p_coh_bm uw_p_coh_bm yw_p_t_bm
load data_benchmark uw2_np_sum_coh_bm uw2_p_sum_coh_bm


t_fig=100;

figure(13)
subplot(3,2,1)
plot(1:t_fig,w_t(1:t_fig));
xlabel('time')
ylabel('w')
title('plot of wage')
% print -dpng 'wage.png'

subplot(3,2,2)
% plot(1:t_dyn,AE_t(1:t_dyn)./N_total_t(1:t_dyn),'-','color','b');
% hold on
% plot(1:t_dyn,KE_t(1:t_dyn)./N_total_t(1:t_dyn),'-.','color','r');
% hold off
plot(1:t_fig,AE_t(1:t_fig)./N_total_t(1:t_fig),'-','color','b');
hold on
plot(1:t_fig,KE_t(1:t_fig)./N_total_t(1:t_fig),'-.','color','r');
hold off

xlabel('time')
ylabel('KE')
title('asset and capital in E firms over population')
% print -dpng 'Capital_EFirm.png'


subplot(3,2,3)
plot(1:t_fig,rho_t(1:t_fig));
xlabel('time')
ylabel('\rho')
title('E firms capital return')
% print -dpng 'CapitalReturn_EFirm.png'

subplot(3,2,4)
plot(1:t_fig,RE_t(1:t_fig));
xlabel('time')
ylabel('RE')
title('Entrepreneur saving return')
% print -dpng 'SavingReturn_Entrepreneur.png'

subplot(3,2,5)
% plot(1:t_dyn,N_total_t(1:t_dyn));
% hold on
% plot(1:t_dyn,Ne_labor_t(1:t_dyn));
% hold on
% plot(1:t_dyn,Nw_labor_t(1:t_dyn));
% hold off
plot(1:t_fig,N_total_t(1:t_fig),'-','color','b');
hold on
plot(1:t_fig,Ne_labor_t(1:t_fig)*19,'-','color','g');
hold on
plot(1:t_fig,Nw_labor_t(1:t_fig),'-','color','r');
hold off

xlabel('time')
ylabel('Population')
title('Population')
% print -dpng 'SavingReturn_Entrepreneur.png'

subplot(3,2,6)
plot(2:t_fig,growth_Y_t(2:t_fig),':','color','b','LineWidth',1.8);
% hold on
% plot(2:t_fig,growth_y_t(2:t_fig),'-.','color','r');
% hold off

xlabel('time')
ylabel('Growth')
title('GDP Growth')

print -dpng -r300 'transition_fullyfunded.png'

figure(14)
t1_gov_debt=100;
t2_gov_debt=600;
subplot(2,1,1)
plot(1:t_fig,replace_w_t(1:t_fig))
xlabel('time')
title('Replacement Rate')
subplot(2,1,2)
plot(1:t1_gov_debt,gov_debt_t(1:t1_gov_debt))
% plot(1:t2_gov_debt,gov_debt_t(1:t2_gov_debt))
xlabel('time')
title('Government Debt')
print -dpng -r300 'pension_fullyfunded.png'

% % screenSize = get(0,'Screensize')
% FigSize = [1,1,1600,1200];
% % set(gcf, 'Position', screenSize); % Maximize figure
% set(gcf, 'Position', FigSize); % Maximize figure
% % axesSize = get(gca, 'Position')

% figure(3)
% for i=1:25
% subplot(5,5,i)
% plot(1:J,N_t(1:J,1+(i-1)*4))
% end
% 
% %% ------------
% figure(4)
% for t=1:200
% %     plot(22:21+J,N_t(i,1:J));
%     plot(22:21+J,N_t(1:J,t));
%     title(['population over age in year ' num2str(1999+t)] )
%     pause(0.2);
% end






