% compare this with the benchmark2 utility

y_min=-10;
y_max=20;
if strcmp(fig_name,'fullyfunded')==1 || strcmp(fig_name,'fullyfunded_ruralpension')==1
    y_min=-20;
    y_max=10;
elseif strcmp(fig_name,'drasticreform')==1 || strcmp(fig_name,'drasticreform_2100')==1
    y_min=-10;
    y_max=40;
end

%% ---------------------- 1. Load Utility Data from the Benchmark ---------------------------




figure
t_fig=111;

year_fig_start=2000;
coh_fig_start=1+(J-Jw)+(year_fig_start-year_start);
x_fig=year_fig_start:year_fig_start+t_fig-1;
plot(x_fig,(ev_p_coh(coh_fig_start:coh_fig_start+t_fig-1))*100,'color','b','LineWidth',2);
hold on
plot(x_fig,(ev_np_coh(coh_fig_start:coh_fig_start+t_fig-1))*100,':','color','k','LineWidth',2)
hold off
axis([x_fig(1) x_fig(length(x_fig)) y_min ceil(max((max(ev_p_coh(coh_fig_start:coh_fig_start+t_fig-1))),(max(ev_np_coh(coh_fig_start:coh_fig_start+t_fig-1))))*100/10)*10])
% legend('pension','without pension')
xlabel('Year of Retirement')
ylabel('Welfare Gain \omega (in Percent)');
title(['Welfare Gain (Equiv. Variation) by Year of Retirement: ' name_fig_title])


print( '-dpng', '-r300', ['equivalence_variation_' fig_name '.png']);
print( '-depsc2', ['equivalence_variation_' fig_name '.eps']);



% 
% 
% figure
% coh_fig1=J-Jw;
% coh_fig2=J;
% coh_fig3=200;
% x_fig1=year_start-(J-Jw):year_start-(J-Jw)+coh_fig1-1;
% x_fig2=year_start-(J-Jw)+coh_fig1:year_start-(J-Jw)+coh_fig2-1;
% x_fig3=year_start-(J-Jw)+coh_fig2:year_start-(J-Jw)+coh_fig3-1;
% subplot(3,1,1)
% plot(x_fig1,ev_p_coh(1:coh_fig1),'color','b','LineWidth',1.5);
% hold on
% plot(x_fig1,ev_np_coh(1:coh_fig1),':','color','g','LineWidth',1.5)
% hold off
% % axis('tight')
% axis([x_fig1(1) x_fig1(length(x_fig1)) y_min y_max])
% 
% % legend('pension','without pension')
% xlabel('Retirement year of cohort')
% title(['Equivalent Variation, ' name_fig_title ': retired in 2011'])
% 
% subplot(3,1,2)
% plot(x_fig2,ev_p_coh(coh_fig1+1:coh_fig2),'color','b','LineWidth',1.5)
% hold on
% plot(x_fig2,ev_np_coh(coh_fig1+1:coh_fig2),':','color','g','LineWidth',1.5)
% hold off
% % axis('tight')
% 
% axis([x_fig2(1) x_fig2(length(x_fig2)) y_min y_max])
% 
% 
% % legend('pension','without pension')
% xlabel('Retirement year of cohort')
% title(['Equivalent Variation, ' name_fig_title ': working in 2011'])
% 
% subplot(3,1,3)
% plot(x_fig3,ev_p_coh(coh_fig2+1:coh_fig3),'color','b','LineWidth',1.5)
% hold on
% plot(x_fig3,ev_np_coh(coh_fig2+1:coh_fig3),':','color','g','LineWidth',1.5)
% hold off
% % axis('tight')
% 
% axis([x_fig3(1) x_fig3(length(x_fig3)) y_min y_max])
% % legend('pension','without pension')
% xlabel('Retirement year of cohort')
% title(['Equivalent Variation, ' name_fig_title ': working after 2011'])
% 
% 
% print( '-dpng', '-r300', ['equivalence_variation_' fig_name '.png']);
% print( '-depsc2', ['equivalence_variation_' fig_name '.eps']);
% 
