% -------------  updating H, p_base -----------------
% actually no need for looping? unless we have workers_dyn here


% a simplified version for PE

iter=0;
iter_max=50;
dev=1;
% tol=1e-5;
% tol=1e-4;
% step=0.5;
step=1;
% step=0.05;
H_p_base_t=H_p_base_t_ini;
while iter<iter_max && dev>tol
    
%     workers_ss_paygo;
%     workers_dyn_paygo; % for every replacement rate, the H_p_base will change
    

    % update H and p_base
    for t=1:t_dyn

    % total labor supply
    H_p_t_new(t)=sum(prod_jt(1:Jw-1,t).*h_p_t(1:Jw-1,t).*Nw_p_t(1:Jw-1,t));
    H_np_t_new(t)=sum(prod_jt(1:Jw-1,t).*h_np_t(1:Jw-1,t).*Nw_np_t(1:Jw-1,t));
    H_t_new(t)=H_p_t(t)+H_np_t(t);

    ave_h_p_t(t)=sum(h_p_t(1:Jw-1,t).*Nw_p_t(1:Jw-1,t))/sum(Nw_p_t(1:Jw-1,t));
    ave_h_np_t(t)=sum(h_np_t(1:Jw-1,t).*Nw_np_t(1:Jw-1,t))/sum(Nw_np_t(1:Jw-1,t));
    ave_h_t(t)=sum(h_p_t(1:Jw-1,t).*Nw_p_t(1:Jw-1,t)+h_np_t(1:Jw-1,t).*Nw_np_t(1:Jw-1,t))/sum(Nw_p_t(1:Jw-1,t)+Nw_np_t(1:Jw-1,t));

    % (pre-tax) average income of workers in pension system


    p_base_t_new(t)=w_t(t)*H_p_t_new(t)/Nw_labor_p_t(t);
    % p_base_jt is updated in workers_dyn

    end

H_p_base_t_new=[H_p_t_new H_np_t_new p_base_t_new];

dev=max(abs(H_p_base_t_new-H_p_base_t)./(abs(H_p_base_t)+1));
dev_H_p_base=dev;
H_p_base_t = step*H_p_base_t_new + (1- step) * H_p_base_t;
H_p_base_t = real(H_p_base_t);

index_save=0;
if index_save==1
H_p_t = H_p_base_t(1:t_dyn);
H_np_t = H_p_base_t(t_dyn+1:2*t_dyn);
p_base_t=H_p_base_t(2*t_dyn+1:3*t_dyn);
save(name_data_eq,'H_p_t','H_np_t','p_base_t','b0');
end

iter=iter+1;

% iter
% dev

end

H_p_t = H_p_base_t(1:t_dyn);
H_np_t = H_p_base_t(t_dyn+1:2*t_dyn);
p_base_t=H_p_base_t(2*t_dyn+1:3*t_dyn);

H_t=H_p_t+H_np_t;


