
load(name_data_2000,'growth_w_0013','growth_w_1331','growth_w_3140','growth_w_4050');




if year_start==2000
    
    t_wage1=t_2013;
    t_wage2=t_2031;
    t_wage3=t_2040;

    
    g_w_step_t(1:t_wage1)=growth_w_0013;
    g_w_step_t(t_wage1+1:t_wage2)=growth_w_1331;
    g_w_step_t(t_wage2+1:t_wage3)=growth_w_3140;
    g_w_step_t(t_wage3+1:t_dyn)=0;
    
    
elseif year_start==2013
    
    t_wage1=t_2031;
    t_wage2=t_2040;

    g_w_step_t(1:t_wage1)=growth_w_1331;
    g_w_step_t(t_wage1+1:t_wage2)=growth_w_3140;
    g_w_step_t(t_wage2+1:t_dyn)=0;
    
end


w_t_old=w_t; % keep the old wage sequence
% the new wage sequence
for t=2:t_dyn
    w_t(t)=w_t(t-1)*(1+g_w_step_t(t));
end


figure;

subplot(2,1,1)
t_fig=100;
x_fig=year_start:year_start+t_fig-1;
y1_fig(2:t_fig)=w_t_old(2:t_fig)./w_t_old(1:t_fig-1)-1+g;
y2_fig(2:t_fig)=w_t(2:t_fig)./w_t(1:t_fig-1)-1+g;
plot(x_fig(2:t_fig),y1_fig(2:t_fig),'LineWidth',2);
hold on
plot(x_fig(2:t_fig),y2_fig(2:t_fig),'-.','color','r','LineWidth',2);
hold off
xlabel('year')
% ylabel('')
title('Wage Growth')
axis tight% print -dpng 'Capital_EFirm.png'

subplot(2,1,2)
t_fig=101;
x_fig=year_start:year_start+t_fig-1;
y1_fig=w_t_old(1:t_fig);
y2_fig=w_t(1:t_fig);

plot(x_fig(2:t_fig),y1_fig(2:t_fig),'LineWidth',2);
hold on
plot(x_fig(2:t_fig),y2_fig(2:t_fig),'-.','color','r','LineWidth',2);
hold off
xlabel('year')
% ylabel('')
title('Wage')
axis tight% print -dpng 'Capital_EFirm.png'


print( '-dpng', ['Wage_Exogenous.png']);
