% initial state in 2013
% read from the equilibrium starting from 2000

%% ---------------- 1. Initial Wealth -------------
load(name_data_2000, 'ae_t_bm', 'aw_p_t_bm', 'aw_np_t_bm')
load(name_data_2000, 'gov_debt_t_bm','Ag_pen_t_bm','Ag_extra_t_bm')

ae_t(1:J,1)=ae_t_bm(1:J,t_start);

aw_p_t(1:J,1)=aw_p_t_bm(1:J,t_start);
aw_np_t(1:J,1)=aw_np_t_bm(1:J,t_start);



%% ------------- 2. Initial Government Debt -----------------
gov_debt_t(1)=gov_debt_t_bm(t_start);
Ag_pen_t(1)=Ag_pen_t_bm(t_start);
Ag_extra_netKg_t(1)=Ag_extra_t_bm(t_start);


%% ------------- 3. for utility calculation -----------------
load(name_data_2000, 'cw_p_coh_bm', 'yw_p_coh_bm','aw_p_coh_bm','uw_p_coh_bm')
load(name_data_2000, 'cw_np_coh_bm', 'yw_np_coh_bm','aw_np_coh_bm','uw_np_coh_bm')
bm=load(name_data_2000, 'h_p_coh','h_np_coh');
cw_p_coh(1:J,1:J)=cw_p_coh_bm(1:J,t_start:t_start+J-1);
yw_p_coh(1:J,1:J)=yw_p_coh_bm(1:J,t_start:t_start+J-1);
aw_p_coh(1:J,1:J)=aw_p_coh_bm(1:J,t_start:t_start+J-1);
uw_p_coh(1:J,1:J)=uw_p_coh_bm(1:J,t_start:t_start+J-1);
h_p_coh(1:J,1:J)=bm.h_p_coh(1:J,t_start:t_start+J-1);


cw_np_coh(1:J,1:J)=cw_np_coh_bm(1:J,t_start:t_start+J-1);
yw_np_coh(1:J,1:J)=yw_np_coh_bm(1:J,t_start:t_start+J-1);
aw_np_coh(1:J,1:J)=aw_np_coh_bm(1:J,t_start:t_start+J-1);
uw_np_coh(1:J,1:J)=uw_np_coh_bm(1:J,t_start:t_start+J-1);
h_np_coh(1:J,1:J)=bm.h_np_coh(1:J,t_start:t_start+J-1);

load(name_data_2000, 'lam_pre_jt_bm')
lam_pre_jt=lam_pre_jt_bm(:,t_start:t_start+t_dyn);

load(name_data_2000,'uw_p_sum_coh_bm','uw_np_sum_coh_bm')
