% if the pension system is  a two-tier system
% with the second tier as a funded individual account
% in the baseline scenario, the individual account is empty

% run all the experiments


%% --------------------------- General Equilibrium from 2000 -------------------
main_GE2000;

%% --------------------------- General Equilibrium from PE2013 --------------------
% take the parmeters from the equilibrium 2000
main_GE2013_w_original;


%% --------------------------- Partial Equilibria from PE2013 ----------------------
% take the wage sequence from GE PE2013, approximate its growth with a simple
% step function, and then feed into the PE model
main_PE2013;  % benchmark reform

main_PE2013_delayedreform;
main_PE2013_delayedreform_2100;
main_PE2013_fullyfunded;
main_PE2013_PAYGO;