
tau_g=0.17; 
tau_gr=0.17;

tau_w_ss=0.12; % tax rate for labor income, 12% goes to the first pillar
tau_w_t=tau_w_ss*ones(1,t_dyn);

tau_e_ss=0; % tax rate for management income
tau_e_t=tau_e_ss*ones(1,t_dyn);

replace_e_ss=0; 
replace_e_t=replace_e_ss*ones(1,t_dyn); % replacement ratio of entreperneurs, shut down at the moment

% replace_w, which doesn't matter for the equilibrium price, may be changed later, depending on different experiments
replace_w_ini=0.78;
replace_w_coh1=replace_w_ini;
replace_w_coh2=0.35; 

% pension indexation
indexation=0.4;
% indexation=0.5;


% some extra resource for pension system
if index_Ag_transfer_guess==1
    year_transfer=2013;
    Ag_transfer_value_ini=100;
    Ag_transfer=Ag_transfer_value_ini*((1+r)/(1+g))^(year_transfer-year_start);
else
%     load(name_data_ini, 'year_transfer_bm','Ag_transfer_value_ini_bm','Ag_transfer_bm');
%     year_transfer=year_transfer_bm;
%     Ag_transfer_value_ini=Ag_transfer_value_ini_bm;
%     Ag_transfer=Ag_transfer_bm;
    bm=load(name_data_load, 'year_transfer','Ag_transfer_value_ini','Ag_transfer','Ag_transfer_real_value_ini','Ag_transfer_real');
    year_transfer=bm.year_transfer;
    Ag_transfer_value_ini=bm.Ag_transfer_value_ini;
    Ag_transfer=bm.Ag_transfer;
    Ag_transfer_real_value_ini=bm.Ag_transfer_real_value_ini;
    Ag_transfer_real=bm.Ag_transfer_real;

end

% % to compare in the future
% Ag_transfer_value_ini_old=Ag_transfer_value_ini;
% Ag_transfer_old=Ag_transfer;

% year_transfer=2013; % given in pension_system_2000;
t_transfer=year_transfer-year_start+1; % the year that Sg changes
